function []=PlotPBSMultiRes(wc,L,scal,qmf,dqmf)
// PlotPBSMultiRes -- Multi-Resolution Display of 1-d Wavelet Transform
//  Usage
//    PlotPBSMultiRes(wc,L,scal,qmf,dqmf)
//  Inputs
//    wc     1-d wavelet transform
//    L      level of coarsest scale
//    scal   scale factor [0 ==> autoscale]
//    qmf    quadrature mirror filter used to make wc
//    qqmf   dual quadrature mirror filter used to make wc
// 
//  Side Effects
//    A depiction of the multi-resolution decomposition
//    of signal, as in S. Mallat.
// 
//  See Also
//    PlotWaveCoeff, FWT_PBS, IWT_PBS, MakeBSFilter
// 
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
wavecoef = ShapeAsRow(wc);
if scal==0 then
   
  //!  mtlb_max(abs(wavecoef)) may be replaced by 
  //!     max(abs(wavecoef)) if abs(wavecoef)is a vector
  //!     max(abs(wavecoef),'r') if abs(wavecoef)is a matrix
  scal = 1/mtlb_max(abs(wavecoef));
end
[n,J] = dyadlength(wavecoef);
// 
 
//!! Unknown function LockAxes ,the original calling sequence is used
LockAxes([0,1,-J,-L+2]);
t = (0.5:n-0.5)/n;
for j = J-1:-1:L
  w = zeros(1,n);
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wavecoef,dyad(j)) may be replaced by wavecoef(dyad(j))
  //!    wavecoef(dyad(j)) if wavecoef is a vector,
  //!    wavecoef(dyad(j)).' if wavecoef is a matrix.
  %v1 = mtlb_e(wavecoef,dyad(j))
  w(1,dyad(j)) = %v1(:).';
  x = IWT_PBS(w,j,qmf,dqmf);
  mtlb_plot(t,-j+scal .* x);
end
// 
w = zeros(1,n);
w(1:2^L) = wavecoef(1:2^L)
x = IWT_PBS(w,L,qmf,dqmf);
mtlb_plot(t,-(L-1)+scal .* x);
// 
xtitle(' ','t',' ');
xtitle(' ',' ','Dyad');
xtitle('Multi-Resolution Decomposition',' ',' ');
 
//!! Unknown function UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// Copyright (c) 1995. David L. Donoho
//     
 
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
