function [y]=symm_iconv(sf,x)
y=[];
// symm_iconv -- Symmetric Convolution Tool for Two-Scale Transform
//  Usage
//    y = iconv(sf,x)
//  Inputs
//    sf  symmetric filter
//    x   1-d signal
//  Output
//    y    filtered result
// 
//  Description
//    Filtering by periodic convolution of x with sf
// 
//  See Also
//    symm_aconv, UpDyadHi_PBS, UpDyadLo_PBS, DownDyadHi_PBS, DownDyadLo_PBS
// 
 
//! unknown arg type, using mtlb_length 
n = length(x);
 
//! unknown arg type, using mtlb_length 
p = length(sf);
if p<=n then
  xpadded = [x(n+1-p:n),x];
else
  z = zeros(1,p);
  for i = 1:p
    %v2$1 = p*n-p+i-1
    imod = 1+%v2$1-fix(%v2$1./n).*n;
    %v2 = x(imod)
    z(1,i) = %v2(:).';
  end
  xpadded = [z,x];
end
ypadded = mtlb_filter(sf,1,xpadded);
y = ypadded(p+1:n+p);
 
shift = (p+1)/2;
%v$1 = shift-1
shift = 1+%v$1-fix(%v$1./n).*n;
y = [y(shift:n),y(1:shift-1)];
 
 
 
// 
// Copyright (c) 1995. Shaobing Chen and David L. Donoho
//     
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
