function [cwt]=CWT(x,nvoice,wavelet,oct,scale)
cwt=[];
[nargout,nargin] = argn(0)
// CWT -- Continuous Wavelet Transform
//  Usage
//    cwt = CWT(x,nvoice,wavelet,oct,scale)
//  Inputs
//    x        signal, dyadic length n=2^J, real-valued
//    nvoice   number of voices/octave
//    wavelet  string 'Gauss', 'DerGauss','Sombrero', 'Morlet'
//    octave   Default=2
//    scale    Default=4
//  Outputs
//    cwt      matrix n by nscale where
//             nscale = nvoice .* noctave
// 
//  Description
//    
// 
if nargin<4 then
  oct = 2;
  scale = 4;
end
// preparation
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
x = ShapeAsRow(x);
 
//! unknown arg type, using mtlb_length 
n = length(x);
 
//! mtlb_fft(x) may be replaced by 
//!      fft(x,-1) if xis a vector
xhat = fft(x,-1);
xi = [0:n/2,-n/2+1:-1] .* (2*%pi/n);
 
// root
omega0 = 5;
 omegaR0 = 25;


// noctave = floor(log2(n))-2;
// noctave = floor(log2(n))-1;
noctave = floor(log(n)/log(2))-oct;
nscale = nvoice .* noctave;
 
cwt = zeros(n,nscale);
 
kscale = 1;
// scale   = 4;
// scale = 16;
 
for jo = 1:noctave
  for jv = 1:nvoice
    qscale = scale .* (2^(jv/nvoice));
    omega = n .* xi ./ qscale;

// xset('window',max(winsid())+1),subplot(211),plot2d(1:length(omega),omega,2,'081');
//subplot(212),plot2d(1:length(xi),xi,2,'081');
//pause

    if wavelet=='Gauss' then
      wawindow = exp(-omega.^2 ./ 2);
    elseif wavelet=='DerGauss' then
      wawindow = %i .* omega .* exp(-omega.^2 ./ 2);
    elseif wavelet=='Sombrero' then
      wawindow = omega.^2 .* exp(-omega.^2 ./ 2);
    elseif wavelet=='Morlet' then
      wawindow = exp(-(omega-omega0).^2 ./  2)-exp(-(omega.^2+omega0.^2)/2);
     elseif wavelet=='Ron' then
 wawindowM = exp(-(omega-omega0).^2 ./  2)-exp(-(omega.^2+omega0.^2)/2);
      diracR=zeros(1,length(omega));
       diracR(1,1)=1;
   //  wawindow = (exp(-(omega-omega0).^2 ./  2)-exp(-(omega.^2+omega0.^2)/2))+(diracR+exp(-(omega-omegaR0).^2 ./  2)-exp(-(omega.^2+omegaR0.^2)/2));
    //wawindow = exp(-omega.^2 ./ 2).*cos((2*%pi*omega0)*xi);
    fenetre1=exp(-omega.^2 ./ 2);
    // fenetre1=1;
    fenetre2= exp(-(omega-omega0).^2 ./  2)-exp(-(omega.^2+omega0.^2)/2);
 fenetre3=exp(-(omega-omegaR0).^2 ./  2)-exp(-(omega.^2+omegaR0.^2)/2);
  // wawindow=fft((fenetre1.*(fenetre2).*(1+fenetre1.*fenetre3) ) ,-1)  /length(fenetre1);
// wawindow=(fenetre1.*(fenetre2).*(1+fenetre1.*fenetre3)); //      /length(fenetre1);

//wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)),-1).*fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omegaR0.*omega)),-1);///OK Interessant

// wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega).*(exp(-%i*omegaR0.*omega))),-1);///OK Interessant

//  wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*omega))),-1);///OK Interessant

//
wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*omega)).*exp(-(omega).^2/(2*0.0001))),-1);///OKInteressant pour d'autres valeurs que 0.0001


// wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*omega)).*exp(-(omega).^2/(2*0.0001))),-1);



//wawindow=fft(fft(wawindowM,-1).*exp(-%i*omegaR0.*omega*0),-1)/length(wawindowM); 


// wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*omega+%pi/2)).*exp(-(omega).^2/(2*0.001))),-1);


// wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*omega+%i*%pi/2)).*exp(-(omega).^2/(2*0.001))),-1);

//wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*(omega-%pi/4)).*exp(-(omega-%pi/4).^2/(2*0.01))+exp(-%i*omegaR0.*(omega+%pi/4)).*exp(-(omega+%pi/4).^2/(2*0.01)))),-1);//////OK !!!!!!!!!!!

// wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(1+exp(-%i*omegaR0.*(omega-decal)).*exp(-(omega-decal).^2/(2*0.01))+exp(-%i*omegaR0.*(omega+decal)).*exp(-(omega+decal).^2/(2*0.01)))),-1);//////OK !!!!!!!!!!!


//decal=%pi/1.3;
//largeur=0.5;
//wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(exp(-%i*omegaR0.*(omega-decal)).*exp(-(omega-decal).^2/(2*largeur))+exp(-%i*omegaR0.*(omega+decal)).*exp(-(omega+decal).^2/(2*largeur)))),-1);//OK interessant





decal=%pi/1.3;
largeur=0.5;

 wawindow=fft(1/sqrt(2*%pi)*exp(-(omega).^2/2).*(exp(-%i*omega0.*omega)+(exp(-%i*omegaR0.*(omega-decal)).*exp(-(omega-decal).^2/(2*largeur))+exp(-%i*omegaR0.*(omega+decal)).*exp(-(omega+decal).^2/(2*largeur)))),-1);


  end
    // Renormalization
    wawindow = wawindow ./ sqrt(qscale);
if jo==noctave-4;
 xset('window',max(winsid())+1),subplot(211),plot2d(1:length(wawindow),wawindow,2,'081');
 subplot(212),plot2d(1:length(wawindow),fftshift(fft(wawindow,1))/length(wawindow),2,'081');
//pause
end
    vwhat = wawindow .* xhat;
    w = fft(vwhat,1);
    cwt(1:n,kscale) = real(w)';
    kscale = kscale+1;
  end
  scale = scale .* 2;
end
// kscale = 1 -> low frequencies
// the matrix cwt is ordered from low to high frequencies 
// 
// Originally created for WaveLab.701.
// 
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
