function []=ImageWTMM(maxmap,option,color,titlestr)
[nargout,nargin] = argn(0)
// ImageWTMM -- Maxima of Continuous Wavelet Transform
//  Usage
//    ImageWTMM(maxmap)
//  Inputs
//    maxmap      maxmap produced by WTMM
//    option      'lin' or 'log' (default) for display
//    color       character color, default yellow
//    titlestr    optional. if supplied & empty, suppress title
//                if supplied & nonempty replace default title.
// 
//  Side Effects
//    Spy Display of Maxima of CWT
// 
if nargin<4 then
  titlestr = 'Local Maxima of CWT';
end
 
if nargin<3 then
  color = 'b';
end
 
if nargin<2 then
  option = 'log';
end
 
 
sz = size(maxmap);
n = sz(1);
nscale = sz(2);
noctave = floor(log(n)/log(2))-2;
nvoice = nscale ./ noctave;
 
if option=='log' then
  ytix = linspace(2,noctave+2,nscale);
  xtix = linspace(0,n,n);
else
  xtix = linspace(0,n,n);
  ytix = linspace(0,nscale,nscale);
end
[%i,%i] = find(maxmap);%i = %i(:);%i = %i(:);
if option=='log' then
  y = 2+j ./ nvoice;
  x = i;
else
  x = i;
  y = j;
end
charstyle = color+'.';
 
mtlb_plot(x,y,charstyle);
 
//!! Unknown function axis ,the original calling sequence is used
axis('ij');
if option=='log' then
   
  //!! Unknown function axis ,the original calling sequence is used
  axis([1,n,2,noctave+2]);
  xtitle(' ',' ','log2(scale)');
else
   
  //!! Unknown function axis ,the original calling sequence is used
  axis([1,n,4,nscale]);
  xtitle(' ',' ','s');
  xtitle(' ','i',' ');
end
if ~(titlestr==[]) then
  xtitle(titlestr,' ',' ');
end
 
 
 
//   
// Originally Part of WaveLab Version .701
//   
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
