function [maxmap]=MM_RWT(rwt,par)
maxmap=[];
[nargout,nargin] = argn(0)
// MM_RWT -- Modulus Maxima of a Real Wavelet Transform
//  Usage
//    maxmap = MM_RWT(rwt,par)
//  Inputs
//    rwt    Output of RWT
//    par    optional. If present, keep thresholds only
//           above a certain value. default = 1000
//  Outputs
//    maxmap binary array indicating presence of max or not
// 
//  Description
//    Used to calculate fractal exponents etc. 
// 
if nargin<2 then
  par = 1000;
end
// if
sz = size(rwt);
nscale = sz(2);
n = sz(1);
 
%v=sz
maxmap = zeros(%v(1),%v(2));
 
t = 1:n;
 
//!! Unknown function rshift ,the original calling sequence is used
tplus = rshift(t);
 
//!! Unknown function lshift ,the original calling sequence is used
tminus = lshift(t);
rwt = abs(rwt);
 
for k = 1:nscale
  localmax = (rwt(t,k)>rwt(tplus,k))&(rwt(t,k)>rwt(tminus,k));
  y = bool2s(localmax(t)) .* rwt(:,k);
  maxy = max(y);
  maxmap(t,k) = y>=maxy/par;
end
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
