function []=PlotMomentGenFun(tau,q)
[nargout,nargin] = argn(0)
// PlotMomentGenFun -- Display Moment Generating Function
//  Usage
//    PlotMomentGenFun(tau,q)
//  Inputs
//    tau       matrix a by nq of ``Moment Generating Func''
//    q         optional list of exponents default linspace(-2,5,61)
// 
//  Description
//    tau(q) = Slope [ log(z(q,a))  versus log(a) ]
// 
//  Side Effects
//    Displays a plot of tau(q) versus q
// 
//  See Also
//    CalcMomentGenFun
// 
if nargin<2 then
  q = linspace(-2,5,61);
end
if q==[] then
  q = linspace(-2,5,61);
end
 
mtlb_plot(q,tau,'b+');
xtitle('Moment Generating Function',' ',' ');
xtitle(' ','q',' ');
xtitle(' ',' ','tau(q)');
 
 
//   
// Originally Part of WaveLab Version .701
//   
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
