function []=PlotMultiSpectrum(f,alpha)
[nargout,nargin] = argn(0)
// PlotMultiSpectrum -- Display Multifractal Spectrum
//  Usage
//    PlotMultiSpectrum(f,alpha)
//  Inputs
//    f         vector 1 by nalpha from CalcFracSpectrum
//    alpha     optional list of exponents default linspace(-.1,.9,11)
// 
//  Side Effects
//    Displays a plot of f(alpha) versus alpha
// 
//  See Also
//    CalcFracSpectrum
// 
 
if nargin<2 then
  alpha = linspace(0.1,0.9,11);
end
if alpha==[] then
  alpha = linspace(0.1,0.9,11);
end
 
mtlb_plot(alpha,f,'b+');
xtitle('Multifractal Spectrum',' ',' ');
xtitle(' ','alpha',' ');
xtitle(' ',' ','f(alpha)');
 
 
//   
// Originally Part of WaveLab Version .701
//   
// Modified by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
