function []=ImageFig(num)
// ImageFig -- Part of BrowseImages demo
//  Usage
//    ImageFig(num)
//  Inputs
//    num    code for type of display
//           1-9   display specific image
//           10    display all images in turn
// 
//  Description
//    ImageFig is called by BrowseImages and is not intended for general use.
// 
//  See Also
//    BrowseImages
// 
global('ImageNAMES');
if (1<=num)&(num<=9) then
   
  //! unknown arg type, using mtlb_length 
  len = mtlb_length(ImageNAMES(num,:));
   
  //! mtlb_sum(ImageNAMES(num,:)==' ') may be replaced by 
  //!     sum(ImageNAMES(num,:)==' ') if ImageNAMES(num,:)==' 'is a vector
  //!     sum(ImageNAMES(num,:)==' ',1) if ImageNAMES(num,:)==' 'is a matrix
  trm = mtlb_sum(ImageNAMES(num,:)==' ');
  figname = ImageNAMES(num,1:len-trm);
   
  //!! Unknown function ReadImage ,the original calling sequence is used
  image_array = ReadImage(figname);
  gray_levels = 255;
  if figname=='Lincoln' then
    gray_levels = 32;
  end
   
  //!! Unknown function GrayImage ,the original calling sequence is used
  GrayImage(image_array,gray_levels);
  xtitle('Image: '+figname,' ',' ');
  //   clc; home; help(figname);
   
  //!! drawnow ignored
  // drawnow
   ;
   
elseif num==10 then
  for num = 1:9
     
    //! unknown arg type, using mtlb_length 
    len = mtlb_length(ImageNAMES(num,:));
     
    //! mtlb_sum(ImageNAMES(num,:)==' ') may be replaced by 
    //!     sum(ImageNAMES(num,:)==' ') if ImageNAMES(num,:)==' 'is a vector
    //!     sum(ImageNAMES(num,:)==' ',1) if ImageNAMES(num,:)==' 'is a matrix
    trm = mtlb_sum(ImageNAMES(num,:)==' ');
    figname = ImageNAMES(num,1:len-trm);
     
    //!! Unknown function ReadImage ,the original calling sequence is used
    image_array = ReadImage(figname);
    gray_levels = 255;
    if figname=='Lincoln' then
      gray_levels = 32;
    end
     
    //!! Unknown function GrayImage ,the original calling sequence is used
    GrayImage(image_array,gray_levels);
    xtitle('Image: '+figname,' ',' ');
    //      clc; home; help(figname);
     
    //!! drawnow ignored
    // drawnow
     ;
     
  end
else
  disp('Bizarre argument in ImageFig');
  disp(mtlb_sprintf('num =%g',num));
end
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
