function [x]=MakeProcess(NR,N)
x=[];
// x = MakeProcess(NR,N);
// Description :
//   Generates NR locally stationary process realizations
//    by filtering a white noise (z) through a slowly varying filter (kernel);
//   The filtering is done by convolution in the time-domain. 
// 
// Inputs
// NR  : number of realizations
//       N   : size of signal
// 
// Outputs
//   x   : N*NR matrix containing NR realizations of a 
//             locally stationary process
// 
// 
x = zeros(N,NR);
%gamma = N/2*%pi;
// center frequency
par = 1000;
// the greater par, the slower the variation 
M = N/16;
enveloppe = ones(1,N);
// the rising cutoff function 
start = 1:M;
// the rising cutoff interval
enveloppe(start) = (1+sin(-%pi/2+(start-ones(1,M)) ./ (M-1)*%pi))/2
 
//!! Unknown function reverse ,the original calling sequence is used
%v = reverse(enveloppe(1:M))
enveloppe(1,N-M+1:N) = %v(:).';
// ---------- the lsp (x) -----------------------------------
beta = 0.3;
for i = 1:NR
   
  //!! Unknown function WhiteNoise ,the original calling sequence is used
  z = WhiteNoise(ones(1,N));
  for j = 1:N
    d = (j-1) ./ N-(1:N) ./ N;
  end
end
beta = 0.01;
for i = 1:N
  j = (1:N)-i;
  sa = 1+bool2s(i>M)*beta*(i-M);
  filter = exp(-(j ./ sa).^2/2) ./ %pi ./ sa;
  filter = enveloppe(i) .* (filter ./ sum(filter));
  filter = filter .* cos(%pi .* j ./ 4);
   
  //! mtlb_sum(z .* filter) may be replaced by 
  //!     sum(z .* filter) if z .* filteris a vector
  //!     sum(z .* filter,1) if z .* filteris a matrix
   
  //! x = mtlb_i(x,i,mtlb_sum(z .* filter)) may be replaced by x(i) = mtlb_sum(z .* filter)
  //!   if x is not a  vector
  //!   or if x and mtlb_sum(z .* filter) are both row or column vectors
  x = mtlb_i(x,i,mtlb_sum(z .* filter))
end
// 
// Written October 4, 1996 by Maureen Clerc
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
