function [out]=CohWave(Noisy,L,qmf)
out=[];
[nargout,nargin] = argn(0)
// CohWave - Denoising of signal contaminated with another signal using coherent
// structures algorithm.
//  CohWave -- Denoising of 1-d signal with wavelet thresholding.
//  Usage 
//    out=CohWave(Noisy,L,qmf)
//  Inputs
//    Noisy 1-d Noisy signal, length(Noisy)= 2^J.
//    L       Low-Frequency cutoff for shrinkage (e.g. L=4)
//            Should have L << J!
//            Optional, Default = 3.
//    qmf     Quadrature Mirror Filter for Wavelet Transform
//            Optional, Default = Symmlet 4.
//  Outputs 
//    out      Estimate, obtained by applying thresholding on
//           wavelet coefficients.
 
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,d] = dyadlength(Noisy);
 
if nargin<3 then
   
  //!! Unknown function MakeONFilter ,the original calling sequence is used
  qmf = MakeONFilter('Symmlet',4);
end
if nargin<2 then
  L = 3;
end
 
out = zeros(1,n);
 
 
//!! Unknown function FWT_PO ,the original calling sequence is used
wc = FWT_PO(Noisy,L,qmf);
nor = norm(wc);
nb_coher = n;
wclow = wc;
iter = 0;
 
//!  mtlb_max(abs(wclow)) may be replaced by 
//!     max(abs(wclow)) if abs(wclow)is a vector
//!     max(abs(wclow),'r') if abs(wclow)is a matrix
vmaxi = mtlb_max(abs(wclow));
ind = n;
thresh = sqrt(2*log(n)/n)*nor;
 
while vmaxi>thresh then
  wclow = wclow .* bool2s(abs(wclow)<vmaxi);
  ind = ind-1;
  nor = norm(wclow);
  thresh = sqrt(2*log(ind)/ind)*nor;
  iter = iter+1;
   
  //!  mtlb_max(abs(wclow)) may be replaced by 
  //!     max(abs(wclow)) if abs(wclow)is a vector
  //!     max(abs(wclow),'r') if abs(wclow)is a matrix
  vmaxi = mtlb_max(abs(wclow));
end
 
wc = wc-wclow;
%v = wc;
[%i,%i] = find(%v);%i=%i(:);%i=%i(:);
%v = %v(:)
if %i<>[] then s = %v(%i+size(%v,1)*(%i-1)) ;else s = [],end
 
//!! Unknown function IWT_PO ,the original calling sequence is used
out = IWT_PO(wc,L,qmf);
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
