function [xhat]=HybridThresh(y)
xhat=[];
// HybridThresh -- Adaptive Threshold Selection Using Principle of SURE
//  Usage
//    xhat = HybridThresh(y)
//  Inputs
//    y     Noisy Data with Std. Deviation = 1
//  Outputs
//    xhat  Estimate of mean vector
// 
//  Description
//    SURE refers to Stein's Unbiased Risk Estimate.
// 
//  References
//   ``Adapting to Unknown Smoothness by Wavelet Shrinkage''
//   by D.L. Donoho and I.M. Johnstone.
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(y);
magic = sqrt(2*log(n));
eta = (norm(y).^2-n)/n;
crit = (J^1.5)/sqrt(n);
if eta<crit then
   
  //!! Unknown function SoftThresh ,the original calling sequence is used
  xhat = SoftThresh(y,magic);
else
   
  //!! Unknown function ValSUREThresh ,the original calling sequence is used
  T = min(ValSUREThresh(y),magic);
   
  //!! Unknown function SoftThresh ,the original calling sequence is used
  xhat = SoftThresh(y,T);
end
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
