function [out]=ThreshWP(Noisy,sigma,%type,mult,D,qmf)
out=[];
[nargout,nargin] = argn(0)
// ThreshWP -- Wavepacket decomposition of a noisy signal,
//  Best Basis analysis, Thresholding in Best Basis
//  Usage 
//    out=ThreshWP(Noisy,sigma,type,mult,D,qmf)
//  Inputs
//    Noisy 1-d Noisy signal, length(Noisy)= 2^J.
//    sigma   Standard deviation of additive Gaussian White Noise.
//    type    'S' for soft thresholding, 'H' for hard thresholding.
//  Optional, Default=hard thresholding.
//    mult    Multiplier of sigma to obtain the value of the threshold.
//            Optional, Default = sqrt(2*log(n)), where n is the
//  length of datas.
//    D          degree of finest frequency partition.
//  Optional, D=J-3.
//    qmf       orthonormal quadrature mirror filter
//            Optional, Default = Symmlet 4.
//  Outputs 
//    out      Estimate, obtained by applying thresholding on
//           wavepackets coefficients.
 
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(Noisy);
 
if nargin<6 then
   
  //!! Unknown function MakeONFilter ,the original calling sequence is used
  qmf = MakeONFilter('Symmlet',4);
end
if nargin<5 then
  D = J-3;
end
if nargin<4 then
  mult = sqrt(2*log(n));
end
if nargin<3 then
  %type = 'H';
end
 
 
 
//!! Unknown function WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(Noisy,D,qmf);
 
thresh = sigma*mult;
 
//!! Unknown function DisStatTree ,the original calling sequence is used
stree = DisStatTree(wp,'HTE_Compr',thresh,0,sigma);
 
//!! Unknown function BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stree,D);
 
if %type=='S' then
  for d = 0:D
    for b = 0:2^d-1
       
      //!! Unknown function packet ,the original calling sequence is used
       
      //!! Unknown function packet ,the original calling sequence is used
      wpout(packet(d,b,n),d+1) = SoftThresh(wp(packet(d,b,n),d+1),thresh);
    end
  end
else
  for d = 0:D
    for b = 0:2^d-1
       
      //!! Unknown function packet ,the original calling sequence is used
       
      //!! Unknown function packet ,the original calling sequence is used
       
      //!! Unknown function HardThresh ,the original calling sequence is used
      wpout(packet(d,b,n),d+1) = HardThresh(wp(packet(d,b,n),d+1),thresh);
    end
  end
end
 
 
//!! Unknown function WPSynthesis ,the original calling sequence is used
out = WPSynthesis(btree,wpout,qmf);
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
