function [thresh]=ValSUREThresh(x)
thresh=[];
// ValSUREThresh -- Adaptive Threshold Selection Using Principle of SURE
//  Usage 
//    thresh = ValSUREThresh(y)
//  Inputs 
//    y        Noisy Data with Std. Deviation = 1
//  Outputs 
//    thresh   Value of Threshold
// 
//  Description
//    SURE referes to Stein's Unbiased Risk Estimate.
// 
%v = abs(x)
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
a = %v.^2;
 
//! mtlb_cumsum(a) may be replaced by 
//! cumsum(a) if ais a vector
//! cumsum(a,1) if ais a matrix
b = mtlb_cumsum(a);
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(x);
c = linspace(n-1,0,n);
s = b+c .* a;
risk = (n-2 .* (1:n)+s)/n;
[guess,ibest] = min(risk);
thresh = sqrt(a(ibest));
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
