function [x]=VisuThresh(y,%type)
x=[];
[nargout,nargin] = argn(0)
// VisuThresh -- Visually calibrated Adaptive Smoothing
//  Usage
//    x = VisuThresh(y)
//  Inputs
//    y      Signal upon which to perform visually calibrated Adaptive Smoothing
//    type   Type of thresholding, either 'Soft' (default) or 'Hard'
//  Outputs
//    x      Result
// 
// References
//    ``Ideal Spatial Adaptation via Wavelet Shrinkage''
//    by D.L. Donoho and I.M. Johnstone.
// 
if nargin<2 then
  %type = 'Soft';
end
 
 
//! unknown arg type, using mtlb_length 
thr = sqrt(2*log(mtlb_length(y)));
// 
if %type=='Hard' then
   
  //!! Unknown function HardThresh ,the original calling sequence is used
  x = HardThresh(y,thr);
else
  x = SoftThresh(y,thr);
end
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
