function [%clean,bb,st]=WPDeNoise(x,D,qmf)
%clean=[];bb=[];st=[];
// WPDeNoise -- De-Noising in an adaptively chosen WP basis
//  Usage
//    [clean,bb,st] = WPDeNoise(x,D,qmf)
//  Inputs
//    x       1-d signal to be de-noised.
//    D       maximum depth of basis tree
//    qmf     quadrature mirror filter for frequency splitting
//  Outputs
//    clean   cleaned signal
//    bb      basis tree naming basis in which de-noising was done
//    st      stat tree: statistics driving basis search
// 
//  Description
//   1. Assumes noise level == 1
//   2. Uses Stein Unbiased Estimate of risk to evaluate basis
//   3. Uses Coifman-Wickerhauser Best Basis algorithm to select
//      best basis
// 
//  See Also
//   WaveShrink
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(x);
thr = sqrt(2 .* log(n .* J));
// 
//   Find Best Basis for De-Noising
// 
 
//!! Unknown function WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(x,D,qmf);
 
//!! Unknown function CalcStatTree ,the original calling sequence is used
st = CalcStatTree(wp,'SURE',thr);
 
//!! Unknown function BestBasis ,the original calling sequence is used
[bb,vt] = BestBasis(st,D);
// 
//   Apply thresholding in Best Basis
// 
 
//!! Unknown function UnpackBasisCoeff ,the original calling sequence is used
dirtycoef = UnpackBasisCoeff(bb,wp);
 
//!! Unknown function HardThresh ,the original calling sequence is used
cleancoef = HardThresh(dirtycoef,thr);
// 
//   Transform back to time domain
// 
 
//!! Unknown function PackBasisCoeff ,the original calling sequence is used
cleanwp = PackBasisCoeff(bb,wp,cleancoef);
 
//!! Unknown function WPSynthesis ,the original calling sequence is used
%clean = WPSynthesis(bb,cleanwp,qmf);
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
