function [out]=Wiener(Noisy,in,sigma)
out=[];
// Wiener -- Wiener filter.
// Usage
//   out = wiener(Noisy,in,sigma)
// Inputs
//   Noisy  Noisy input signal.
//   in   Original signal.
//   sigma  s.d of the additve GWN
// Outputs
//   out  Restored image.
// 
 
 
//! mtlb_fft(in) may be replaced by 
//!      fft(in,-1) if inis a vector
Y = mtlb_fft(in);
 
//! mtlb_fft(Noisy) may be replaced by 
//!      fft(Noisy,-1) if Noisyis a vector
FN = mtlb_fft(Noisy);
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(in);
PY = abs(Y .* Y);
H = PY ./ (PY+n*(sigma^2));
FN = FN .* H;
 
//! mtlb_ifft(FN) may be replaced by 
//!      fft(FN,1) if FNis a vector
out = real(mtlb_ifft(FN));
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
