function [nwc]=FNWT_PO(x,L,qmf)
nwc=[];
// FNWT_PO -- Nonstandard Wavelet Transform (Periodized, Orthogonal)
//  Usage
//    nwc = FNWT_PO(x,L,qmf)
//  Inputs
//    x       1-d signal. length(x) = 2^J.
//    L       coarsest resolution level
//    qmf     quadrature mirror filter
//  Outputs
//    nwc     nonstandard wavelet transform of x
//            contains both low-pass and high-pass outputs
//            of pyramid algorithm. length(nw) = 2*length(x) 
// 
//  Description
//    if x is a vector and M is a matrix, then one can calculate
//    Mx in two ways:
//          (a) Use natural basis: M*x
//          (b) Use nonstandard matrix product:  INWT[NSF * FNWT[x]]
//    where NWT and INWT are nonstandard wavelet transforms and NSF 
//    is the nonstandard form of the matrix.
// 
//  See Also
//    INWT_PO, FSFT_PO
// 
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(x);
nwc = zeros(2*n,1);
beta = x;
for j = J-1:-1:L
   
  //!! Unknown function DownDyadHi ,the original calling sequence is used
  alfa = DownDyadHi(beta,qmf);
   
  //!! Unknown function DownDyadLo ,the original calling sequence is used
  beta = DownDyadLo(beta,qmf);
   
  //!! Unknown function ndyad ,the original calling sequence is used
  nwc(ndyad(j,1),1) = alfa(:);
   
  //!! Unknown function ndyad ,the original calling sequence is used
  nwc(ndyad(j,0),1) = beta(:);
end
 
nwc(1:2^L,1) = beta(:);
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
