function [S]=Mat2SparseSForm(M,L,qmf,epsilon)
S=[];
// Mat2SparseSForm -- Put Matrix into Sparse Standard Form
//  Usage
//    S = Mat2SparseSForm(M,L,qmf,epsilon)
//  Inputs
//    M        Matrix to be be put in Sparse Standard Form
//    L        Coarsest Resolution Level
//    qmf      quadrature Mirror Filter
//    epsilon  Truncation Criterion
//  Outputs
//    S        sparse standard form of matrix
// 
//  Description
//    The matrix M is transformed into the wavelet basis.
//    Elements exceeding epsilon * maximum column norm
//    are set to zero.  S is the resulting sparse matrix.
//    S can be used as input to StdWaveMult.
// 
//  See Also
//    StdWaveMult, Mat2SparseNSForm, FSTF_PO
// 
 
 
//!! Unknown function quadlength ,the original calling sequence is used
[n,J] = quadlength(M);
St = FSFT_PO(M,L,qmf);
 
// Estimate Row Norms
 
//! mtlb_sum(St.^2) may be replaced by 
//!     sum(St.^2) if St.^2is a vector
//!     sum(St.^2,1) if St.^2is a matrix
 
//!  mtlb_max(mtlb_sum(St.^2)) may be replaced by 
//!     max(mtlb_sum(St.^2)) if mtlb_sum(St.^2)is a vector
//!     max(mtlb_sum(St.^2),'r') if mtlb_sum(St.^2)is a matrix
maxcolnorm = sqrt(mtlb_max(mtlb_sum(St.^2)));
 
//! mtlb_sum(St'.^2) may be replaced by 
//!     sum(St'.^2) if St'.^2is a vector
//!     sum(St'.^2,1) if St'.^2is a matrix
 
//!  mtlb_max(mtlb_sum(St'.^2)) may be replaced by 
//!     max(mtlb_sum(St'.^2)) if mtlb_sum(St'.^2)is a vector
//!     max(mtlb_sum(St'.^2),'r') if mtlb_sum(St'.^2)is a matrix
maxrownorm = sqrt(mtlb_max(mtlb_sum(St'.^2)));
 
nilSt = St .* bool2s(abs(St)>epsilon .* maxcolnorm);
%v = nilSt;
[%i,%i] = find(%v);%i=%i(:);%i=%i(:);
%v = %v(:)
if %i<>[] then v = %v(%i+size(%v,1)*(%i-1)) ;else v = [],end
S = sparse([i(:),j(:)],v,[n,n]);
 
//    
// Copyright (c) David Donoho. 1993    
//    
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
