function [x]=IWT_DD(wc,L,D,F,LEF,REF)
x=[];
[nargout,nargin] = argn(0)
// IWT_DD -- Inverse transform Deslauriers-Dubuc wavelets
//  Usage
//    x = IWT_DD(wc,L,D)
//  Inputs
//    wc       1-d wavelet transform; length(w) = 2^J
//    L        coarsest resolution. L << J
//    D        degree of interpolating polynomials
//  Outputs
//    x        1-d signal reconstructed from w
// 
//  Description
//    IWT_DD implements a 1-d inverse wavelet transform of data which
//    arise as the outputs of point sampling devices.  The ideas are
//    described in ``Interpolating Wavelet Transforms.''
// 
//  See Also
//    FWT_DD, FWT_AI, FWT_PO 
// 
 
if nargin==3 then
   
  //!! Unknown function MakeDDFilter ,the original calling sequence is used
  F = MakeDDFilter(D);
   
  //!! Unknown function MakeDDBdryFilter ,the original calling sequence is used
  [LEF,REF] = MakeDDBdryFilter(D);
end
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wc);
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
w = ShapeAsRow(wc);
beta = w(1:2^L);
// 
for j = L:J-1
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(w,dyad(j)) may be replaced by w(dyad(j))
  //!    w(dyad(j)) if w is a vector,
  //!    w(dyad(j)).' if w is a matrix.
  beta = DDDyadUp(beta,mtlb_e(w,dyad(j)),D,F,LEF,REF);
end
// 
 
//!! Unknown function ShapeLike ,the original calling sequence is used
x = ShapeLike(beta,wc);
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
