function []=PlotDDMultiRes(wc,L,scal,D)
[nargout,nargin] = argn(0)
// PlotDDMultiRes -- Interpolating MRA
//  Usage
//    PlotDDMultiRes(wc,L,scal,D)
//  Inputs
//    wc    1-d wavelet transform
//    L     level of coarsest scale
//    scal  scale factor [0 ==> autoscale]
//    D     Degree of DD filter used to make wc
// 
//  Side Effects
//    A depiction of the multi-resolution decomposition
//    of the signal, as in S. Mallat.
// 
//  See Also
//    PlotWaveCoeff, FWT_DD, IWT_DD, MakeDDFilter
// 
 
if nargin<4 then
  scal = 0;
end
if nargin<3 then
  D = 3;
end
// 
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
wavecoef = ShapeAsRow(wc);
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wavecoef);
if scal==0 then
   
  //!  mtlb_max(abs(wavecoef)) may be replaced by 
  //!     max(abs(wavecoef)) if abs(wavecoef)is a vector
  //!     max(abs(wavecoef),'r') if abs(wavecoef)is a matrix
  scal = 1/mtlb_max(abs(wavecoef));
end
F = MakeDDFilter(D);
[LEF,REF] = MakeDDBdryFilter(D);
// 
 
//!! Unknown function LockAxes ,the original calling sequence is used
LockAxes([0,1,-J,-L+2]);
t = (0.5:n-0.5)/n;
// 
for j = J-1:-1:L
  w = zeros(1,n);
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wavecoef,dyad(j)) may be replaced by wavecoef(dyad(j))
  //!    wavecoef(dyad(j)) if wavecoef is a vector,
  //!    wavecoef(dyad(j)).' if wavecoef is a matrix.
  %v1 = mtlb_e(wavecoef,dyad(j))
  w(1,dyad(j)) = %v1(:).';
  x = IWT_DD(w,j,D,F,LEF,REF);
  mtlb_plot(t,-j+scal .* x);
end
// 
w = zeros(1,n);
w(1:2^L) = wavecoef(1:2^L)
x = IWT_DD(w,L,D,F,LEF,REF);
// 
mtlb_plot(t,-(L-1)+scal .* x);
xtitle(' ','t',' ');
xtitle(' ',' ','Dyad');
xtitle('DD Multi-Resolution Decomposition',' ',' ');
 
//!! Unknown function UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
