function [shift,value]=BestShift(tree,D)
shift=[];value=[];
// BestShift -- Best Circulant Shift of Signal
//  Usage
//    [shift,value] = BestShift(stat)
//  Inputs
//    stat     stat-tree (output by CalcShiftStat)
//    D        maximum depth of tree-search
//  Outputs
//    shift    path corresponding to optimal shift
//    value    minimizing value attained by optimal shift
//             value(1) holds value of best shift
// 
//  Description
//    Finds the path from root to leaf on a complete
//    tree of depth D which minimizes the sum of values
//    at the leaves.
// 
//  See Also
//    CalcShiftStat, FWT_TI, BestBasis
// 
%v=size(tree)
shift = zeros(%v(1),%v(2));
value = tree;
for d = D-1:-1:0
  for b = 0:2^d-1
     
    //!! Unknown function node ,the original calling sequence is used
     
    //! mtlb_e(tree,node(d,b)) may be replaced by tree(node(d,b))
    //!    tree(node(d,b)) if tree is a vector,
    //!    tree(node(d,b)).' if tree is a matrix.
    vparent = mtlb_e(tree,node(d,b));
     
    //!! Unknown function node ,the original calling sequence is used
     
    //! mtlb_e(value,node(d+1,2*b)) may be replaced by value(node(d+1,2*b))
    //!    value(node(d+1,2*b)) if value is a vector,
    //!    value(node(d+1,2*b)).' if value is a matrix.
    vleft = mtlb_e(value,node(d+1,2*b));
     
    //!! Unknown function node ,the original calling sequence is used
     
    //! mtlb_e(value,node(d+1,2*b+1)) may be replaced by value(node(d+1,2*b+1))
    //!    value(node(d+1,2*b+1)) if value is a vector,
    //!    value(node(d+1,2*b+1)).' if value is a matrix.
    vright = mtlb_e(value,node(d+1,2*b+1));
    if vleft<=vright then
       
      //!! Unknown function node ,the original calling sequence is used
       
      //! shift = mtlb_i(shift,node(d,b),0) may be replaced by shift(node(d,b)) = 0
      //!   if shift is not a  vector
      //!   or if shift and 0 are both row or column vectors
      shift = mtlb_i(shift,node(d,b),0)
       
      //!! Unknown function node ,the original calling sequence is used
       
      //! value = mtlb_i(value,node(d,b),vparent+vleft) may be replaced by value(node(d,b)) = vparent+vleft
      //!   if value is not a  vector
      //!   or if value and vparent+vleft are both row or column vectors
      value = mtlb_i(value,node(d,b),vparent+vleft)
    else
       
      //!! Unknown function node ,the original calling sequence is used
       
      //! shift = mtlb_i(shift,node(d,b),1) may be replaced by shift(node(d,b)) = 1
      //!   if shift is not a  vector
      //!   or if shift and 1 are both row or column vectors
      shift = mtlb_i(shift,node(d,b),1)
       
      //!! Unknown function node ,the original calling sequence is used
       
      //! value = mtlb_i(value,node(d,b),vparent+vright) may be replaced by value(node(d,b)) = vparent+vright
      //!   if value is not a  vector
      //!   or if value and vparent+vright are both row or column vectors
      value = mtlb_i(value,node(d,b),vparent+vright)
    end
  end
end
//   fprintf('best basis %g \n',value(1))
 
// 
// Copyright (c) 1995. David L. Donoho
//     
 
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
