function [dwt]=FWT_ATrou(x,L)
dwt=[];
// 
// FWT_ATrou -- Fast Dyadic Wavelet Transform (periodized, orthogonal)
//  Usage
//    dwt = FWT_ATrou(x,L)
//  Inputs
//    x     1-d signal; length(x) = 2^J = n
//    L     Coarsest Level of V_0;  L << J
//  Outputs
//    dwt   an n times J-L+1 matrix
//           giving the wavelet transform of x at all dyadic scales.
// 
//  Description
//    To reconstruct use IWT_ATrou 
// 
//  See Also
//    IWT_ATrou, MakeATrouFilter
// 
 
//!! Unknown function MakeATrouFilter ,the original calling sequence is used
[lodyadf,dlodyadf,hidyadf,dhidyadf] = MakeATrouFilter('Spline',3);
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(x);
D = J-L;
dwt = zeros(n,D+1);
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
x = ShapeAsRow(x);
dwt(:,1) = x';
for d = 1:D
  s = dwt(:,1)';
  s2 = s;
  for j = 1:2^(d-1)
     
    //!! Unknown function lshift ,the original calling sequence is used
    s2 = lshift(s2);
  end
   
  //!! Unknown function iconv ,the original calling sequence is used
  dwt(:,d+1) = iconv(hidyadf,s)';
  for j = 1:2^d
     
    //!! Unknown function lshift ,the original calling sequence is used
    p = lshift(dwt(:,d+1)');
    dwt(:,d+1) = p';
  end
   
  //!! Unknown function iconv ,the original calling sequence is used
  dwt(:,1) = iconv(lodyadf,s2)';
   
   
  //! unknown arg type, using mtlb_length 
  f = zeros(1,2*mtlb_length(lodyadf));
   
  //! unknown arg type, using mtlb_length 
  f(1,1:2:2*mtlb_length(lodyadf)-1) = lodyadf(:).';
   
   
  //! unknown arg type, using mtlb_length 
  f2 = zeros(1,2*mtlb_length(hidyadf));
   
  //! unknown arg type, using mtlb_length 
  f2(1,1:2:2*mtlb_length(hidyadf)-1) = hidyadf(:).';
   
  lodyadf = f;
  hidyadf = f2;
end
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
