function [x]=IWT_TI(pkt,qmf)
x=[];
// IWT_TI -- Invert translation invariant wavelet transform
//  Usage
//    x = IWT_TI(TIWT,qmf)
//  Inputs
//    TIWT     translation-invariant wavelet transform table
//    qmf      quadrature mirror filter
//  Outputs
//    x        1-d signal reconstructed from translation-invariant
//             transform TIWT
// 
//  See Also
//    FWT_TI
// 
[n,D1] = size(pkt);
D = D1-1;
J = log(n)/log(2);
L = J-D;
// 
wp = pkt;
// 
sig = wp(:,1)';
for d = D-1:-1:0
  for b = 0:2^d-1
     
    //!! Unknown function packet ,the original calling sequence is used
    hsr = wp(packet(d+1,2*b,n),d+2)';
     
    //!! Unknown function packet ,the original calling sequence is used
    hsl = wp(packet(d+1,2*b+1,n),d+2)';
     
    //!! Unknown function packet ,the original calling sequence is used
    lsr = sig(packet(d+1,2*b,n));
     
    //!! Unknown function packet ,the original calling sequence is used
    lsl = sig(packet(d+1,2*b+1,n));
     
    //!! Unknown function UpDyadLo ,the original calling sequence is used
     
    //!! Unknown function UpDyadLo ,the original calling sequence is used
     
    //!! Unknown function lshift ,the original calling sequence is used
    loterm = (UpDyadLo(lsr,qmf)+lshift(UpDyadLo(lsl,qmf)))/2;
     
    //!! Unknown function UpDyadHi ,the original calling sequence is used
     
    //!! Unknown function UpDyadHi ,the original calling sequence is used
     
    //!! Unknown function lshift ,the original calling sequence is used
    hiterm = (UpDyadHi(hsr,qmf)+lshift(UpDyadHi(hsl,qmf)))/2;
     
    //!! Unknown function packet ,the original calling sequence is used
    %v2 = loterm+hiterm
    sig(1,packet(d,b,n)) = %v2(:).';
  end
end
x = sig;
 
// 
// Copyright (c) 1994. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
