function []=PlotStatTable(StatWT,scal)
[nargout,nargin] = argn(0)
// PlotStatTable -- Plot Stationary Wavelet Transform
//  Usage
//    PlotStatTable(StatWT,scal)
//  Inputs
//    StatWT   1-d stationary wavelet transform
//    scal     optional scale factor [0 ==> autoscale]
// 
//  Side Effects
//    A depiction of the stationary wavelet transform,
//    much like multi-resolution decomposition
//    of signal
// 
//  See Also
//    PlotMultiRes, FWT_Stat, IWT_Stat
// 
 
[n,L] = size(StatWT);
pkt = [StatWT(:,2:L),StatWT(:,1)];
D = L-1;
if nargin<2 then
  scal = 0;
end
// 
 
//!! Unknown function LockAxes ,the original calling sequence is used
LockAxes([0,1,-D-1,1]);
// 
t = (0.5:n-0.5) ./ n;
 
for d = 0:D
  if scal==0 then
     
    //!  mtlb_max(abs(pkt(:,d+1))) may be replaced by 
    //!     max(abs(pkt(:,d+1))) if abs(pkt(:,d+1))is a vector
    //!     max(abs(pkt(:,d+1)),'r') if abs(pkt(:,d+1))is a matrix
    mult = 0.5/(%eps+mtlb_max(abs(pkt(:,d+1))));
  else
    mult = scal;
  end
  mtlb_plot(t,-d+pkt(:,d+1) .* mult);
   
end
 
//!! Unknown function UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
