function [c]=UnpackShiftCoeff(path,pkt)
c=[];
// UnpackShiftCoeff -- get wavelet coeff. of circulant shift
//  Usage
//    c = UnpackShiftCoeff(path,TIWT)
//  Inputs
//    path      path tree (e.g. from BestShift)
//    TIWT      translation invariant transform table from FWT_TI
//  Outputs
//    c         coefficients of signal in that shift
// 
//  See Also
//    PackShiftCoeff, FWT_TI, BestShift
// 
 
[n,D1] = size(pkt);
D = D1-1;
J = log(n)/log(2);
L = J-D;
c = zeros(1,n);
// 
dptr = 0;
bptr = 0;
// 
while dptr<D1 then
   
  //!! Unknown function node ,the original calling sequence is used
   
  //! mtlb_e(path,node(dptr,bptr)) may be replaced by path(node(dptr,bptr))
  //!    path(node(dptr,bptr)) if path is a vector,
  //!    path(node(dptr,bptr)).' if path is a matrix.
  dir = mtlb_e(path,node(dptr,bptr));
  if dptr<D then
    dptr = dptr+1;
    bptr = 2*bptr+dir;
     
    //!! Unknown function dyad ,the original calling sequence is used
     
    //!! Unknown function packet ,the original calling sequence is used
    %v2 = pkt(packet(dptr,bptr,n),dptr+1)
    c(1,dyad(J-dptr)) = %v2(:).';
  else
     
    //!! Unknown function packet ,the original calling sequence is used
    %v2 = pkt(packet(dptr,bptr,n),1)
    c(1,1:2^L) = %v2(:).';
    dptr = dptr+1;
  end
end
 
// 
// Copyright (c) 1995. David L. Donoho
//    
 
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
