function [cross]=ZeroX(P,interval)
cross=[];
// Find all position within the real interval (a,b) at which the
// polynomial P changes sign.
 
a = interval(1);
b = interval(2);
 
// Find the positions within (a,b) at which P vanishes
EPS = 10^(-8);
%v = P
ro = roots(poly(%v($:-1:1),'x'));
realpos = find(abs(imag(ro))<EPS)';
ro = real(ro(realpos));
pos = find((ro>a)&(ro<b))';
ro = ro(pos);
ro = -sort(-ro);
 
cross = [];
for i = 1:max(size(ro))
   
  //! mtlb_prod(polyval(P,[ro(i)-EPS,ro(i)+EPS])) may be replaced by 
  //!   prod(polyval(P,[ro(i)-EPS,ro(i)+EPS])) if polyval(P,[ro(i)-EPS,ro(i)+EPS])is a vector
  //!   prod(polyval(P,[ro(i)-EPS,ro(i)+EPS]),1) if polyval(P,[ro(i)-EPS,ro(i)+EPS])is a matrix
  if mtlb_prod(polyval(P,[ro(i)-EPS,ro(i)+EPS]))<0 then
    last = max(size(cross));
    if last>0 then
      if ro(i)>cross(last) then
        cross = [cross,ro(i)];
      end
    else
      cross = [cross,ro(i)];
    end
  end
end
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
