function []=PlotCompressNumbers(coef,signaltitle)
// PlotCompressNumbers -- Plot Compression Numbers
//  Usage
//    PlotCompressNumbers(coef,signaltitle)
//  Inputs
//    coef           array of coefficients
//    signaltitle    title for plot  
// 
//  Side Effects
//    A plot showing the compression curve for the given coeffs.
// 
//  Description
//    Compression numbers show the additional accuracy obtained by
//    reconstructing with more coefficients.
//  
 
//! mtlb_sum(coef.^2) may be replaced by 
//!     sum(coef.^2) if coef.^2is a vector
//!     sum(coef.^2,1) if coef.^2is a matrix
energy = mtlb_sum(coef.^2);
%v = coef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
cm = [energy,energy-cumsum(reverse(%v))];
 
//! unknown arg type, using mtlb_length 
mtlb_plot(0:mtlb_length(coef),log(cm));
xtitle(' ','m',' ');
xtitle(' ',' ','log(c_m)');
xtitle(mtlb_sprintf('Compression Numbers: %s',signaltitle),' ',' ');
 
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
