function []=PlotPacketTable(pkt,scal)
[nargout,nargin] = argn(0)
// PlotPacketTable -- Display entries in wavelet, cosine packet tables
//  Usage
//    PlotPacketTable(pkt,scal)
//  Inputs
//    pkt     wavelet or cosine packet table
//    scal    optional scaling factor (0 => autoscale)
// 
//  Side Effects
//    spike plot of coefficients in packet table
// 
[n,L] = size(pkt);
D = L-1;
if nargin<2 then
  scal = 0;
end
// 
 
//!! Unknown function LockAxes ,the original calling sequence is used
LockAxes([0,1,-D-1,1]);
// 
t = (0.5:n-0.5) ./ n;
tt = zeros(1,3*n+2);
nxx = max(size(tt));
tt(1) = 0
tt(nxx) = 1
tt(2:3:nxx-3) = t
tt(3:3:nxx-2) = t
tt(4:3:nxx-1) = t
%v=size(tt)
xx = ones(%v(1),%v(2));
// 
for d = 0:D
  if scal==0 then
     
    //!  mtlb_max(abs(pkt(:,d+1))) may be replaced by 
    //!     max(abs(pkt(:,d+1))) if abs(pkt(:,d+1))is a vector
    //!     max(abs(pkt(:,d+1)),'r') if abs(pkt(:,d+1))is a matrix
    mult = 0.5/(%eps+mtlb_max(abs(pkt(:,d+1))));
  else
    mult = scal;
  end
  // 
  xx = xx-1;
   
  //! xx = mtlb_i(xx,3:3:nxx-2,-d+pkt(:,d+1) .* mult) may be replaced by xx(3:3:nxx-2) = -d+pkt(:,d+1) .* mult
  //!   if xx is not a  vector
  //!   or if xx and -d+pkt(:,d+1) .* mult are both row or column vectors
  xx = mtlb_i(xx,3:3:nxx-2,-d+pkt(:,d+1) .* mult)
  mtlb_plot(tt,xx);
  // 
  nbox = 2^d;
  for b = 0:nbox-1
    mtlb_plot([b/nbox,(b+1)/nbox,(b+1)/nbox,b/nbox],[-d-0.5,-d-0.5,-d+0.5,-d+0.5],':');
  end
end
 
//!! Unknown function UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
