function [x]=UnpackBasisCoeff(basis,pkt)
x=[];
// UnpackBasisCoeff -- Extract basis coefficients from packet table
//  Usage
//    x = UnpackBasisCoeff(basis,pkt)
//  Inputs
//    basis     basis tree
//    pkt       packet table (wavelet- or cosine-)
//  Outputs
//    x         coefficients of signal in that basis
// 
 
[n,L] = size(pkt);
x = zeros(1,n);
// 
// initialize tree traversal stack
// 
dstack = zeros(1,2^L);
bstack = zeros(1,2^L);
k = 1;
dstack(k) = 0
bstack(k) = 0
// 
while k>0 then
  d = dstack(k);
  b = bstack(k);
  k = k-1;
   
  //! mtlb_e(basis,node(d,b)) may be replaced by basis(node(d,b))
  //!    basis(node(d,b)) if basis is a vector,
  //!    basis(node(d,b)).' if basis is a matrix.
  if mtlb_e(basis,node(d,b))==0 then
    // terminal node
    %v2 = pkt(packet(d,b,n),d+1)'
    x(1,packet(d,b,n)) = %v2(:).';
  else
    k = k+1;
    dstack(k) = d+1
    bstack(k) = 2*b
    k = k+1;
    dstack(k) = d+1
    bstack(k) = 2*b+1
  end
end
 
// 
// Copyright (c) 1993. David L. Donoho
//    
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
