function [y]=aconv(f,x)
y=[];
// aconv -- Convolution Tool for Two-Scale Transform
//  Usage
//    y = aconv(f,x)
//  Inputs
//    f    filter
//    x    1-d signal
//  Outputs
//    y    filtered result
// 
//  Description
//    Filtering by periodic convolution of x with the
//    time-reverse of f.
// 
//  See Also
//    iconv, UpDyadHi, UpDyadLo, DownDyadHi, DownDyadLo
// 
 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(x);
 
//! unknown arg type, using mtlb_length 
p = mtlb_length(f);
if p<n then
  xpadded = [x,x(1:p)];
else
  z = zeros(1,p);
  for i = 1:p
    %v2$1 = i-1
    imod = 1+%v2$1-fix(%v2$1./n).*n;
    %v2 = x(imod)
    z(1,i) = %v2(:).';
  end
  xpadded = [x,z];
end
fflip = reverse(f);
ypadded = mtlb_filter(fflip,1,xpadded);
y = ypadded(p:n+p-1);
 
// 
// Copyright (c) 1993. David L. Donoho
//     
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
