function [xc,xl,xr]=unfold(y,bp,bm)
xc=[];xl=[];xr=[];
// unfold -- Undo folding projection with (+,-) polarity
//  Usage
//    [xc,xl,xr] = unfold(y,bp,bm)
//  Inputs
//    y     folded series
//    bp    interior of window
//    bm    exterior of window
//  Outputs
//    xc    unfolded central packet
//    xl    contribution of unfolding to left  packet
//    xr    contribution of unfolding to right packet
// 
// See Also
//    fold, CPAnalysis, CPSynthesis, CPImpulse
// 
 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(y);
 
//! unknown arg type, using mtlb_length 
m = mtlb_length(bp);
xc = y;
xl = 0 .* y;
xr = 0 .* y;
front = 1:m;
back = n:-1:n+1-m;
 
//! xc = mtlb_i(xc,front,bp .* y(front)) may be replaced by xc(front) = bp .* y(front)
//!   if xc is not a  vector
//!   or if xc and bp .* y(front) are both row or column vectors
xc = mtlb_i(xc,front,bp .* y(front))
 
//! xc = mtlb_i(xc,back,bp .* y(back)) may be replaced by xc(back) = bp .* y(back)
//!   if xc is not a  vector
//!   or if xc and bp .* y(back) are both row or column vectors
xc = mtlb_i(xc,back,bp .* y(back))
 
//! xl = mtlb_i(xl,back,bm .* y(front)) may be replaced by xl(back) = bm .* y(front)
//!   if xl is not a  vector
//!   or if xl and bm .* y(front) are both row or column vectors
xl = mtlb_i(xl,back,bm .* y(front))
 
//! xr = mtlb_i(xr,front,(-1) .* bm .* y(back)) may be replaced by xr(front) = (-1) .* bm .* y(back)
//!   if xr is not a  vector
//!   or if xr and (-1) .* bm .* y(back) are both row or column vectors
xr = mtlb_i(xr,front,(-1) .* bm .* y(back))
 
// 
// Copyright (c) 1993. David L. Donoho
//     
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
