function []=AdaptInit()
// AdaptInit -- Initialize all global variables for AdaptDemo
global('N','rho');
global('t');
global('L','qmf');
global('xblocks','xbumps','xheavi','xDoppler');
global('yblocks','ybumps','yheavi','yDoppler');
global('Blocks','Bumps','HeaviSine','Doppler');
// 
if N==[] then
  N = 2048;
  rho = 7;
   
  //!! Unknown variable MakeONFilter ,the original calling sequence is used
  qmf = MakeONFilter('Symmlet',8);
  L = 6;
end
t = (0:N-1) ./ N;
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
HeaviSine = MakeSignal('HeaviSine',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Blocks = MakeSignal('Blocks',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',N);
// 
rand('seed',0,'u');
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xblocks,yblocks] = NoiseMaker(Blocks,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xbumps,ybumps] = NoiseMaker(Bumps,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xheavi,yheavi] = NoiseMaker(HeaviSine,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xDoppler,yDoppler] = NoiseMaker(Doppler,rho);
// 
disp('Initializing Parameters:');
disp(mtlb_sprintf('N = %g',N));
disp(mtlb_sprintf('rho = %g',rho));
disp(mtlb_sprintf('L = %g',L));
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
