function [xhat,yh]=CoronaJS(y,L)
xhat=[];yh=[];
// CoronaJS -- James-Stein applied to ``Littlewood-Paley'' Fourier Coronae
// Usage
//   [xhat,xhathat] = CoronaJS(y,L)
// Inputs
//   y      array of dyadic length 2^J
//          NORMALIZED TO NOISE LEVEL 1 (See NOISENORM)
//   L      Low-Frequency cutoff for shrinkage (e.g. L=4)
//          SHOULD BE L << J
// Outputs
//   xhat   estimate, obtained by James-Stein Shrinkage
//          on Dyadic Coronae
//   xhhat  Fourier Transform of estimate
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(y);
 
//! mtlb_fft(y) may be replaced by 
//!      fft(y,-1) if yis a vector
yh = mtlb_fft(y);
i = sqrt(-1);
for j = L:J-1
  lo = 2^(j-1)+1;
  hi = 2^j;
  sel = lo:hi;
  v = [real(yh(sel)),imag(yh(sel))];
   
  //!! Unknown function JamesStein ,the original calling sequence is used
  vsh = JamesStein(v ./ sqrt(n/2)) .* sqrt(n/2);
  k = 2^(j-1);
   
  //! yh = mtlb_i(yh,sel,vsh(1:k)+i*vsh(k+1:2*k)) may be replaced by yh(sel) = vsh(1:k)+i*vsh(k+1:2*k)
  //!   if yh is not a  vector
  //!   or if yh and vsh(1:k)+i*vsh(k+1:2*k) are both row or column vectors
  yh = mtlb_i(yh,sel,vsh(1:k)+i*vsh(k+1:2*k))
end
 
//! yh = mtlb_i(yh,n/2+1,0) may be replaced by yh(n/2+1) = 0
//!   if yh is not a  vector
//!   or if yh and 0 are both row or column vectors
yh = mtlb_i(yh,n/2+1,0)
 
//! yh = mtlb_i(yh,n/2+2:n,conj(yh(n/2:-1:2))) may be replaced by yh(n/2+2:n) = conj(yh(n/2:-1:2))
//!   if yh is not a  vector
//!   or if yh and conj(yh(n/2:-1:2)) are both row or column vectors
yh = mtlb_i(yh,n/2+2:n,conj(yh(n/2:-1:2)))
 
//! mtlb_ifft(yh) may be replaced by 
//!      fft(yh,1) if yhis a vector
xhat = real(mtlb_ifft(yh));
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
