function []=EvalSure()
// EvalSure -- Performance of SURE shrinkage for varying sparsity 
// parameters C and eps
 
//! Not enough information using mtlb_exist instead of exists
if ~mtlb_exist('NProb') then
  NProb = input('Size of Problem');
end
 
//! Not enough information using mtlb_exist instead of exists
if ~mtlb_exist('M') then
  M = input('Number of Repetitions');
end
disp('in EvalSURE...');
 
//! mtlb(N) can be replaced by N() or N whether N is an m-file or not
disp(mtlb_sprintf('doing %g Monte Carlo repetitions at N=%g',M,mtlb(N)));
disp('this could take a while ...');
SureRecords = zeros(M*13*3,3);
MedSure = zeros(13*3,3);
v = zeros(1,M);
rcount = 1;
scount = 1;
for C = [3,5,7]
  for eps = [0.005,0.01,0.02,0.04,0.06,0.08,0.1,0.12,0.14,0.16,0.18,0.2,0.25]
    x = zeros(1,NProb);
    k = floor(eps*NProb);
    x(1:k) = zeros(1,k)+C
    for m = 1:M
       
      //!! Unknown variable WhiteNoise ,the original calling sequence is used
      y = x+WhiteNoise(x);
       
      //!! Unknown variable SUREThresh ,the original calling sequence is used
      xhat = SUREThresh(y);
       
      //!! Unknown variable rms ,the original calling sequence is used
      loss = rms(xhat-x);
      // root mean square!
      v(1,m) = loss(:).';
      SureRecords(rcount,:) = [C,eps,loss];
      rcount = rcount+1;
      if (rcount-fix(rcount./10).*10)==0 then
        mtlb_fprintf('.');
      end
    end
     
    //!! Unknown variable rms ,the original calling sequence is used
    MedSure(scount,:) = [C,eps,rms(v)];
    scount = scount+1;
  end
end
mtlb_plot(SureRecords(:,2),SureRecords(:,3).^2,'+');
xtitle('(a) SURE Threshold',' ',' ');
xtitle(' ','Epsilon',' ');
xtitle(' ',' ','MSE');
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
