function []=adfig06()
// adfig06 -- Adapt Figure 06: MultiResolution Analysis of the Four Functions
// 
// Mallat's MRA groups together all the terms in the wavelet 
// decomposition which occupy the same scale (with perhaps
// different locations).
// 
// Here we display the MRA of the four functions from Figure 1,
// using the Daubechies Nearly Symmetric S8 Wavelet.
// 
global('Blocks','Bumps','HeaviSine','Doppler');
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
L = 6;
mtlb_clf();
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(Blocks,L,S8QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,S8QMF);
xtitle(' 6 (a) Blocks ',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(Bumps,L,S8QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,S8QMF);
xtitle(' 6 (b) Bumps ',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(HeaviSine,L,S8QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,S8QMF);
xtitle(' 6 (c) HeaviSine ',' ',' ');
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(Doppler,L,S8QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,S8QMF);
xtitle(' 6 (d) Doppler ',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
