function []=adfig07()
// adfig07 -- Adapt Figure 07: MultiResolution Analysis of Blocks and HeaviSine
//                Using Haar & Db4
// 
// Mallat's MRA groups together all the terms in the wavelet 
// decomposition which occupy the same scale (with perhaps
// different locations).
// 
// Here we display the MRA of the four functions from Figure 1,
// using the Daubechies Nearly Symmetric S8 Wavelet. Each curve
// represents the contributions arising from a single scale.
// 
// 
global('L');
global('Blocks','Bumps','HeaviSine','Doppler');
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HaarQMF = MakeONFilter('Haar');
// 
mtlb_clf();
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(Blocks,L,HaarQMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,HaarQMF);
xtitle(' 7 (a) Haar[Blocks] ',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(HeaviSine,L,HaarQMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,HaarQMF);
xtitle(' 7 (b) Haar[HeaviSine] ',' ',' ');
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
Db4QMF = MakeONFilter('Daubechies',4);
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(Blocks,L,Db4QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,Db4QMF);
xtitle(' 7 (c) Db4[Blocks] ',' ',' ');
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
xw = FWT_PO(HeaviSine,L,Db4QMF);
 
//!! Unknown variable IMJPlotMultiRes ,the original calling sequence is used
IMJPlotMultiRes(xw,L,0.2,Db4QMF);
xtitle(' 7 (d) Db4[HeaviSine] ',' ',' ');
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
