function []=adfig10()
// adfig10 -- Adapt Figure 10: Wavelet Shrinkage of object yBlocks in Haar Basis
// 
// (Panel a) depicts the noisy object yBlocks, its Haar transform (Panel c),
// wavelet shrinkage reconstruction using the Haar wavelet (Panel b), and 
// the Haar Transform of the reconstruction (Panel d).
// 
// The viewer is supposed to notice that in the Haar domain, the
// noise is spread out among all coefficients, while the signal is
// concentrated in only a few coefficients. Hence thresholding mostly
// affects the noise without disturbing the signal.
// 
global('t');
global('yblocks');
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HQMF = MakeONFilter('Haar');
HL = 3;
 
//!! Unknown variable WaveShrink ,the original calling sequence is used
[xhat,xw] = WaveShrink(yblocks,'Hybrid',HL,HQMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
yw = FWT_PO(yblocks,HL,HQMF);
mtlb_clf();
ax = [0,1,-10,30];
// 
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(221,t,yblocks,[],' 10 (a) Noisy Data y',ax,[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(222,t,xhat,[],' 10 (b) HaarShrink Reconstruction',ax,[]);
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(yw,HL,0.025);
xtitle(' 10 (c) Haar[y]',' ',' ');
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(xw,HL,0.025);
xtitle(' 10 (d) Haar[Reconstruction]',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
