function [extra]=edgeunfold(which,xc,bp,bm)
extra=[];
// edgeunfold -- Undo folding projection with (+,-) polarity at EDGES
//  Usage
//    extra = endfold(which,xc,bp,bm)
//  Inputs
//    which  string, 'left'/'right', indicating which edge we are at
//    xc     unfolded data, center window, produced by unfold
//    bp     interior of window
//    bm     exterior of window
//  Outputs
//    extra  extra contribution to central packet
// 
//  Description
//    The result should be added to the central packet to
//    ensure exact reconstruction at edges.
// 
//  See Also
//    unfold, CPSynthesis, CPImpulse
// 
 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(xc);
 
//! unknown arg type, using mtlb_length 
m = mtlb_length(bp);
extra = xc .* 0;
// 
if which=='left' then
  front = 1:m;
   
  //! extra = mtlb_i(extra,front,xc(front) .* (1-bp) ./ bp) may be replaced by extra(front) = xc(front) .* (1-bp) ./ bp
  //!   if extra is not a  vector
  //!   or if extra and xc(front) .* (1-bp) ./ bp are both row or column vectors
  extra = mtlb_i(extra,front,xc(front) .* (1-bp) ./ bp)
else
  back = n:-1:n+1-m;
   
  //! extra = mtlb_i(extra,back,xc(back) .* (1-bp) ./ bp) may be replaced by extra(back) = xc(back) .* (1-bp) ./ bp
  //!   if extra is not a  vector
  //!   or if extra and xc(back) .* (1-bp) ./ bp are both row or column vectors
  extra = mtlb_i(extra,back,xc(back) .* (1-bp) ./ bp)
end
 
// 
//  Copyright (c) 1994. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
