function [dyad_sig]=CutDyad(sig)
dyad_sig=[];
// CutDyad -- Truncate signal to Dyadic length
//  Usage
//    dyad_sig = CutDyad(sig)
//  Inputs
//    sig        a row or column vector
//  Outputs
//    dyad_sig   a vector of dyadic length
//               with contents taken from sig
// 
//  See Also
//    PadDyad
// 
ss = size(sig);
 
//! unknown arg type, using mtlb_length 
n = length(sig);
J = floor(log(n)/log(2));
n1 = round(2^J);
if n1~=n then
  if ss(1)==n then
    dyad_sig = zeros(n1,1);
  else
    dyad_sig = zeros(1,n1);
  end
   
  //! dyad_sig = mtlb_i(dyad_sig,1:n1,sig(1:n1)) may be replaced by dyad_sig(1:n1) = sig(1:n1)
  //!   if dyad_sig is not a  vector
  //!   or if dyad_sig and sig(1:n1) are both row or column vectors
  dyad_sig(1:n1)=sig(1:n1);
else
  dyad_sig = sig;
end
 
// 
// Copyright (c) 1995, David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
