function [y]=WhiteNoise(x)
y=[];
// WhiteNoise -- Version-independent white noise generator
//  Usage
//    y = WhiteNoise(x)
//  Inputs
//    x     nonempty matrix
//  Outputs
//    y     matrix shaped like x, filled with
//          standard normal random numbers.
// 
//  Description
//    The method used avoids warning messages under both
//    MATLAB v3.5 and v4.0.
// 
//  See Also
//    MATLABVERSION
// 
global('MATLABVERSION');
if MATLABVERSION==3.5 then
  rand('normal','normal','u');
   
  //! mtlb_rand(x) can be replaced by :
  //!  rand(x,x) if x is a scalar
  //!  rand(v(1),v(2),'n') if x is the vector v
  y =  rand(%v1(1),%v1(2),'n');
else
  %v1=size(x)
  y = rand(%v1(1),%v1(2),'n');
end
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
