function []=Compare4Compress(x,Title,qmf,wpdepth,cpdepth,axlim)
[nargout,nargin] = argn(0)
// Compare4Compress -- Compare WP and CP Compressions
//  Usage
//    Compare4Compress(x,Title,qmf,wpdepth,cpdepth,axlim)
// 
 
if nargin<6 then
  axlim = [-2,4];
end
ymax = axlim(2);
ymin = axlim(1);
 
// 
//    1. WT
// 
 
//!! Unknown function FWT_PO ,the original calling sequence is used
wc = FWT_PO(x,4,qmf);
// 
//    2. WPT
// 
 
//!! Unknown function WPAnalysis ,the original calling sequence is used
wpt = WPAnalysis(x,wpdepth,qmf);
 
//!! Unknown function CalcStatTree ,the original calling sequence is used
stt = CalcStatTree(wpt,'Entropy');
 
//!! Unknown function BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stt,wpdepth);
 
//!! Unknown function UnpackBasisCoeff ,the original calling sequence is used
wpcoef = UnpackBasisCoeff(btree,wpt);
// 
//    3. CPT
// 
 
//!! Unknown function CPAnalysis ,the original calling sequence is used
cpt = CPAnalysis(x,cpdepth,'Sine');
 
//!! Unknown function CalcStatTree ,the original calling sequence is used
stt = CalcStatTree(cpt,'Entropy');
 
//!! Unknown function BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stt,cpdepth);
 
//!! Unknown function UnpackBasisCoeff ,the original calling sequence is used
cpcoef = UnpackBasisCoeff(btree,cpt);
// 
//    4. DCT
// 
 
//!! Unknown function dct_iv ,the original calling sequence is used
dccoef = dct_iv(x);
// 
//    5. Compression Numbers
// 
%v = wpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
wprev = reverse(mtlb_cumsum(%v));
%v = wc.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
wcrev = reverse(mtlb_cumsum(%v));
%v = dccoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
dcrev = reverse(mtlb_cumsum(%v));
%v = cpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
cprev = reverse(mtlb_cumsum(%v));
// 
//    6. Display Compression Numbers
// 
mtlb_semilogy(cprev,'r--');
 
//!! Unknown function axis ,the original calling sequence is used
axis([0,500,10^ymin,10^ymax]);
mtlb_hold('on');
mtlb_semilogy(wprev,'g-.');
mtlb_semilogy(wcrev,'b-');
mtlb_semilogy(dcrev,'y:');
h = xstring(400,10^(ymax-0.5),'CPT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(400,10^(ymax-0.9),'WPT -.');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Green');
h = xstring(400,10^(ymax-1.3),'DWT - ');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Blue');
h = xstring(400,10^(ymax-1.7),'DCT ..');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
xtitle('Compression Numbers: '+Title,' ',' ');
xtitle(' ','number of coefficients retained',' ');
xtitle(' ',' ','reconstruction error');
mtlb_hold('off');
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
