function [atomic,res]=CPPrintPursuit(x,D,bellname,natom,frac,printlist)
atomic=[];res=[];
// CPPrintPursuit -- Print Intermediate Results, MP with Cosine Packet Dictionary
//  Usage
//    atomic = CPPrintPursuit(x,D,bell,natom,frac,show)
//  Inputs
//    x        1-d signal to be decomposed
//    natom    max # of atoms desired
//    frac     min fraction total signal energy to enter
//    D,bell   usual Cosine Packets parameters (Depth, name of bell)
//    prniter  which iterations (multiples of 5) to print at.
//  Outputs
//    atomic   parameters of atomic decomposition
// 
//  See Also
//    CPPursuit, CPImpulse, CPAnalysis
// 
 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(x);
nrm = norm(x);
 
//!! Unknown function CPAnalysis ,the original calling sequence is used
cp = CPAnalysis(x,D,'Sine');
atomic = zeros(natom,4);
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
res = ShapeAsRow(x);
 
//!  mtlb_max(abs(res)) may be replaced by 
//!     max(abs(res)) if abs(res)is a vector
//!     max(abs(res),'r') if abs(res)is a matrix
amax = mtlb_max(abs(res));
t = (0.5:n-0.5) ./ n;
nuc = 0;
amp = nrm;
// 
show = 1;
// 
while (nuc<natom)&(amp>frac*nrm) then
   
  [amp,ind] = max(abs(cp(:)));
  // find largest contribution
   
  //!! Unknown function ix2pkt ,the original calling sequence is used
  [d,b,k] = ix2pkt(ind,D,n);
   
  //!! Unknown function pkt2ix ,the original calling sequence is used
  a = cp(pkt2ix(d,b,k,D,n),d+1);
   
  mtlb_fprintf('CPPursuit step %3.0f :',nuc+1);
  disp([a,d,b,k]);
   
   
  //!! Unknown function CPImpulse ,the original calling sequence is used
  dcp = CPImpulse(cp,d,b,k,'Sine');
  // remove single largest contribution
  cp = cp-a .* dcp;
   
  if amp==0 then
    break
     ;
  end
   
  if (nuc-fix(nuc./5).*5)==0 then
    if matrix(find(nuc==printlist),1,-1) then
      %file = mtlb_sprintf('cp_fig%i.ps',nuc);
       
      //!! Unknown function ifprint ,the original calling sequence is used
      ifprint(xget('window'),%file);
    end
  end
  if show then
     
    //!! Unknown function MonitorPursuit ,the original calling sequence is used
    res = MonitorPursuit('CP',nuc,t,amax,res,a,dcp,D,'Sine');
  end
   
  nuc = nuc+1;
  atomic(nuc,:) = [a,d,b,k];
  // store result
end
// 
if show then
  xsetech([0/2,0/1,1/2,1/1]);
   
  //!! Unknown function UnlockAxes ,the original calling sequence is used
  UnlockAxes();
  xsetech([1/2,0/1,1/2,1/1]);
   
  //!! Unknown function UnlockAxes ,the original calling sequence is used
  UnlockAxes();
   
else
   
  //!! Unknown function CPSynthesis ,the original calling sequence is used
  res = CPSynthesis(zeros(1,2^D),cp(:,1),bellname);
end
 
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
