function []=Compare4Decomp(x,Title,qmf,wpdepth,cpdepth)
[nargout,nargin] = argn(0)
// Compare4Decomp -- Compare four ways of decomposing object
//  Usage
//    Compare4Decomp(x,Title,qmf,wpdepth,cpdepth)
// 
//  Description
//    Show all four ways of decomposing object:
// 
//       Best Basis, CP
//       Best Basis, WP
//       MP,CP
//       MP,WP
// 
 
if nargin<8 then
  axlim = [-2,4];
end
ymax = axlim(2);
ymin = axlim(1);
 
// 
//    1. Best Basis WP
// 
 
//!! Unknown function WPAnalysis ,the original calling sequence is used
wpt = WPAnalysis(x,wpdepth,qmf);
 
//!! Unknown function CalcStatTree ,the original calling sequence is used
stt = CalcStatTree(wpt,'Entropy');
 
//!! Unknown function BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stt,wpdepth);
 
//!! Unknown function UnpackBasisCoeff ,the original calling sequence is used
wpcoef = UnpackBasisCoeff(btree,wpt);
// 
//    2. Best Basis CP
// 
 
//!! Unknown function CPAnalysis ,the original calling sequence is used
cpt = CPAnalysis(x,cpdepth,'Sine');
 
//!! Unknown function CalcStatTree ,the original calling sequence is used
stt = CalcStatTree(cpt,'Entropy');
 
//!! Unknown function BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stt,cpdepth);
 
//!! Unknown function UnpackBasisCoeff ,the original calling sequence is used
cpcoef = UnpackBasisCoeff(btree,cpt);
// 
//    5. Compression Numbers
// 
%v = wpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
bbwp = reverse(mtlb_cumsum(%v));
%v = cpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown function reverse ,the original calling sequence is used
bbcp = reverse(mtlb_cumsum(%v));
// 
//    6. Display Compression Numbers
// 
mtlb_semilogy(bbwp,'r:');
 
//!! Unknown function axis ,the original calling sequence is used
axis([0,500,10^ymin,10^ymax]);
mtlb_hold('on');
mtlb_semilogy(bbcp,'g-.');
h = xstring(350,10^(ymax-0.5),'BBCP -.');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Green');
h = xstring(350,10^(ymax-1),'BBWP ..');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(350,10^(ymax-1.5),'MPCP - ');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Blue');
h = xstring(350,10^(ymax-2),'MPWP --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
xtitle('Compression Numbers: '+Title,' ',' ');
xtitle(' ','m, number of coefficients retained',' ');
xtitle(' ',' ','c_m, (reconstruction error)^2');
mtlb_hold('off');
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
