function []=MPWork00()
// MPWork00 -- Basics of Matching Pursuit, Illustrate Step-by-Step Behavior
// 
n = 1024;
t = (0:n-1) ./ n;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
D = log(n)/log(2);
// 
// Signals
// 
xi = %pi/5 .* t;
SlowChirp = cos(xi .* (1:n));
SigName = 'SlowChirp';
// 
xset('window',max(winsid()+1))
max(winsid());
[a,r] = CPPrintPursuit(SlowChirp,6,'Sine',20,0.001,[5,10,15]);
// 
xset('window',max(winsid()+1))
max(winsid());
%v$2 = int((1-1)/1);%v$1 = 1-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,SlowChirp);
xtitle('SlowChirp: Chirp from 0 to 1/5 Nyquist',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
ax = axis();
%v$2 = int((2-1)/1);%v$1 = 2-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,r);
xtitle('Residual After 20 Iterations CPPursuit',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig001.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable WPPrintPursuit ,the original calling sequence is used
[a,r] = WPPrintPursuit(SlowChirp,D,qmf,20,0.001,[5,10,15]);
// 
xset('window',max(winsid()+1))
max(winsid());
%v$2 = int((1-1)/1);%v$1 = 1-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,SlowChirp);
xtitle('SlowChirp: Chirp from 0 to 1/5 Nyquist',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
ax = axis();
%v$2 = int((2-1)/1);%v$1 = 2-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,r);
xtitle('Residual After 20 Iterations WPPursuit',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
ax = axis();
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig002.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable CPPursuitTour ,the original calling sequence is used
[cpatoms,cpresid] = CPPursuitTour('P',SlowChirp,6,'Sine',300,SigName);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,0,10]);
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig003.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable WPPursuitTour ,the original calling sequence is used
[wpatoms,wpresid] = WPPursuitTour('P',SlowChirp,10,qmf,300,SigName);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,0,10]);
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig004.ps');
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
