function []=MPWork21()
// MPWork21 -- Matching-Pursuit, Wavelet Packet Tour on Four Basic Signals
// 
//      HeaviSine
//   Doppler
//  QuadChirp
//  MishMash
// 
n = 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
xset('window',max(winsid()+1))
compressfig = max(winsid());
xset('window',max(winsid()+1))
equivratefig = max(winsid());
xset('window',max(winsid()+1))
equivdimfig = max(winsid());
figarray = zeros(4,1);
// 
for i = 1:4
  if i==1 then
    SigName = 'LinChirp';
  elseif i==2 then
    SigName = 'TwoChirp';
  elseif i==3 then
    SigName = 'QuadChirp';
  elseif i==4 then
    SigName = 'MishMash';
  end
  // 
   
  //!! Unknown variable MakeSignal ,the original calling sequence is used
  hs = MakeSignal(SigName,n);
  xset('window',max(winsid()+1))
  figarray(i) = max(winsid())
   
  //!! Unknown variable WPPursuitTour ,the original calling sequence is used
  [mpatoms,mpresid] = WPPursuitTour('P',hs,10,qmf,300,SigName);
  %v1$2 = int((3-1)/2);%v1$1 = 3-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable axis ,the original calling sequence is used
  axis([0,500,0,10]);
  // 
  energy = norm(hs).^2;
  mpcnums = [energy;energy-cumsum(mpatoms(:,1).^2)];
  // 
  xset('window',compressfig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotSemiCompressNum ,the original calling sequence is used
  PlotSemiCompressNum(mpcnums,'MPWP',SigName);
  // 
  xset('window',equivratefig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivRate ,the original calling sequence is used
  PlotEquivRate(mpcnums,'WP',SigName);
  // 
  xset('window',equivdimfig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivDimension ,the original calling sequence is used
  PlotEquivDimension(mpcnums,'WP',SigName);
  // 
end
// 
//ifprint(compressfig,'mp_fig215.ps')
//ifprint(equivratefig,'mp_fig216.ps')
//ifprint(equivdimfig,'mp_fig227.ps')
// 
for i = 1:4
   
  //!! Unknown variable ifprint ,the original calling sequence is used
  ifprint(figarray(i),'mp_fig21'+string(i)+'.ps');
end
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
