function []=MPWork22()
// MPWork22 -- Matching-Pursuit, Wavelet Packet Tour on Four Complex Signals
// 
//      Sorrows
//   Riemann
//  Seismic
//  Tweet
// 
n = 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
xset('window',max(winsid()+1))
compressfig = max(winsid());
xset('window',max(winsid()+1))
equivratefig = max(winsid());
xset('window',max(winsid()+1))
equivdimfig = max(winsid());
figarray = zeros(4,1);
brightarray = [-0.8,-0.8,0,0];
axarray = [0,0,0,0;0,0,0,0;0,0,0,0;0,1,0.3,0.7];
// 
for i = 1:4
  // 
  if i==1 then
    SigName = 'WernerSorrows';
     
    //!! Unknown variable MakeSignal ,the original calling sequence is used
    hs = MakeSignal(SigName,n);
    SigName = 'Sorrows';
  elseif i==2 then
    SigName = 'Riemann';
     
    //!! Unknown variable MakeSignal ,the original calling sequence is used
    hs = MakeSignal(SigName,n);
    hs = hs ./ norm(hs) .* sqrt(1000);
  elseif i==3 then
    SigName = 'Seismic';
     
    //!! Unknown variable ReadSignal ,the original calling sequence is used
    hs = ReadSignal('Seismic')';
    hs = hs ./ norm(hs) .* sqrt(1000);
  elseif i==4 then
    SigName = 'Tweet';
    mtlb_load('cwarb.mat');
     
    //!! Unknown variable cwarb ,the original calling sequence is used
    hs = cwarb(4000:12191)';
    hs = hs ./ norm(hs) .* sqrt(8192);
  end
  // 
  xset('window',max(winsid()+1))
  figarray(i) = max(winsid())
   
  //!! Unknown variable WPPursuitTour ,the original calling sequence is used
  [mpatoms,mpresid] = WPPursuitTour('P',hs,10,qmf,300,SigName);
  %v1$2 = int((3-1)/2);%v1$1 = 3-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable axis ,the original calling sequence is used
  axis([0,500,0,10]);
  // 
  if brightarray(i)~=0 then
    %v2$2 = int((4-1)/2);%v2$1 = 4-1-2*%v2$2
    xsetech([%v2$1/2,%v2$2/2,1/2,1/2]);
     
    //!! Unknown variable brighten ,the original calling sequence is used
    brighten(brightarray(i));
  end
  // 
   
  //! mtlb_sum(abs(axarray(i,:)')) may be replaced by 
  //!     sum(abs(axarray(i,:)')) if abs(axarray(i,:)')is a vector
  //!     sum(abs(axarray(i,:)'),1) if abs(axarray(i,:)')is a matrix
  if mtlb_sum(abs(axarray(i,:)'))~=0 then
    %v2$2 = int((4-1)/2);%v2$1 = 4-1-2*%v2$2
    xsetech([%v2$1/2,%v2$2/2,1/2,1/2]);
     
    //!! Unknown variable axis ,the original calling sequence is used
    axis(axarray(i,:));
  end
  // 
  energy = norm(hs).^2;
  mpcnums = [energy;energy-cumsum(mpatoms(:,1).^2)];
  // 
  xset('window',compressfig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotSemiCompressNum ,the original calling sequence is used
  PlotSemiCompressNum(mpcnums,'MPWP',SigName);
  // 
  xset('window',equivratefig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivRate ,the original calling sequence is used
  PlotEquivRate(mpcnums,'WP',SigName);
  // 
  xset('window',equivdimfig)
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivDimension ,the original calling sequence is used
  PlotEquivDimension(mpcnums,'WP',SigName);
  // 
end
// 
//ifprint(compressfig, 'mp_fig225.ps')
//ifprint(equivratefig,'mp_fig226.ps')
//ifprint(equivratefig,'mp_fig227.ps')
// 
for i = 1:4
   
  //!! Unknown variable ifprint ,the original calling sequence is used
  ifprint(figarray(i),'mp_fig22'+string(i)+'.ps');
end
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
