function []=PlotEquivRate(cnumbers,%type,Title)
// PlotEquivRate -- Plot Equivalent Rates
//  Usage
//    PlotEquivRate(cnumbers,type,Title)
// 
 
if %type=='WP' then
  pch = 'b--';
elseif %type=='CP' then
  pch = 'y-';
end
 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(cnumbers);
mtlb_plot(((1:n-1)') .* log(cnumbers(1:n-1) ./ cnumbers(2:n)),pch);
h = xstring(0.7*n,9,'MPCP - ');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Blue');
h = xstring(0.7*n,8,'MPWP --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
xtitle(' ','m',' ');
xtitle(' ',' ','m * log( c_m / c_{m+1} )');
xtitle('Equivalent Rate: '+Title,' ',' ');
 
//!! Unknown function axis ,the original calling sequence is used
axis([0,n,0,10]);
mtlb_hold('on');
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
