function [atomic,res]=WPPrintPursuit(x,D,qmf,natom,frac,printlist)
atomic=[];res=[];
// WPPrintPursuit -- Print Intermediate Results, MP with Wavelet Packets
//  Usage
//    atomic = WPPrintPursuit(x,D,qmf,natom,frac,show)
//  Inputs
//    x        signal of dyadic length to be decomposed
//    natom    max # of atoms desired
//    frac     min fraction total signal energy to enter
//    D,qmf    usual Wavelet Packets parameters
//  prnt   list of iteration numbers (multiples of 5)
//             at which to print a PostScript file
//  Outputs
//    atomic    parameters of atomic decomposition
// 
//  References
//    S. Mallat and S. Zhang, Matching Pursuits with
//       Time-Frequency Dictionaries
// 
//  See Also
//    WPPursuit, WPSynthesis
// 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(x);
nrm = norm(x);
 
//!! Unknown function WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(x,D,qmf);
atomic = zeros(natom,4);
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
res = ShapeAsRow(x);
 
//!  mtlb_max(abs(res)) may be replaced by 
//!     max(abs(res)) if abs(res)is a vector
//!     max(abs(res),'r') if abs(res)is a matrix
amax = mtlb_max(abs(res));
t = (0.5:n-0.5) ./ n;
nuc = 0;
amp = nrm;
nplot = 0;
// 
show = 1;
// 
 
while (nuc<natom)&(amp>frac*nrm) then
   
  [amp,ind] = max(abs(wp(:)));
   
  //!! Unknown function ix2pkt ,the original calling sequence is used
  [d,b,k] = ix2pkt(ind,D,n);
   
  //!! Unknown function pkt2ix ,the original calling sequence is used
  a = wp(pkt2ix(d,b,k,D,n),d+1);
   
  mtlb_fprintf('WPPrintPursuit step %3.0f :',nuc);
  disp([a,d,b,k]);
   
   
  //!! Unknown function WPImpulse ,the original calling sequence is used
  dwp = WPImpulse(wp,d,b,k,qmf);
  wp = wp-a*dwp;
   
  if amp==0 then
    break
     ;
  end
   
  if (nuc-fix(nuc./5).*5)==0 then
    if matrix(find(nuc==printlist),1,-1) then
      %file = mtlb_sprintf('wp_fig%i.ps',nuc);
       
      //!! Unknown function ifprint ,the original calling sequence is used
      ifprint(xget('window'),%file);
    end
  end
   
  if show then
     
    //!! Unknown function MonitorPursuit ,the original calling sequence is used
    res = MonitorPursuit('WP',nuc,t,amax,res,a,dwp,D,qmf);
  end
   
  nuc = nuc+1;
  atomic(nuc,:) = [a,d,b,k];
end
if ~show then
  res = wp(:,1)';
end
 
// 
// Copyright (c) 1993. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
