function []=toon0132()
// toon0132 -- Wavelets come at all different scales and positions
// 
//  A Wavelet Basis is a collection of localized, wiggly functions.
// 
//  These functions occupy a range of scales and locations.
// 
//  The scales go in powers of 2 and the locations occur at
//  integer multiples of the scale.
// 
//  Here we show a range of wavelets and their scale-location
//  parameters (j,k), where 2^(-j) is the scale and k/2^j
//  is the location.
// 
posarray = [4,3;4,8;4,11;6,12;6,26;6,34;6,42;7,51;7,77;7,101;8,31;8,81;8,102;8,166;8,202];
sz = size(posarray);
nr = sz(1);
w = zeros(1,1024);
t = (0.5:1023.5) ./ 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qSymm8 = MakeONFilter('Symmlet',8);
// 
mtlb_clf();
xsetech([0/1,0/1,1/1,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,0,nr+1]);
// 
xtitle('Some S8 Symmlets at various scales and locations',' ',' ');
for i = 1:nr
  scal = posarray(i,1);
  loc = posarray(i,2);
   
  //!! Unknown variable dyad2ix ,the original calling sequence is used
  w(dyad2ix(scal,loc)) = 1
   
  //!! Unknown variable IWT_PO ,the original calling sequence is used
  x = IWT_PO(w,4,qSymm8);
  mtlb_plot(t,i+x);
  txt = mtlb_sprintf('(%1.0f,%2.0f)',scal,loc);
  xstring(0.91,i+0.275,txt);
   
  //!! Unknown variable dyad2ix ,the original calling sequence is used
  w(dyad2ix(scal,loc)) = 0
end
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
