function []=toon0151()
// toon0151 -- Visualize wavelet decomposition of Ramp
// 
//  Every vector of n values can be represented as a sum of n
//  wavelets.  This type of wavelet decomposition is illustrated
//  here.
// 
//  Ramp is a vector of n=1024 values, following a broken
//  straight line.  We illustrate here the function, its
//  wavelet coefficients, and the different wavelet components.
// 
//  Notes:
//   1.  There are only about 30 nonvanishing wavelet components
//       for this signal, many fewer than 1024.
//   2.  At each resolution level, there are only a few nonzero
//       components.
// 
t = (1:1024) ./ 1024;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Ramp = MakeSignal('Ramp',1024);
 
//!! Unknown variable FWT_CDJV ,the original calling sequence is used
wc = FWT_CDJV(Ramp,3,3);
 
//! mtlb_sum(abs(wc)>0.01) may be replaced by 
//!     sum(abs(wc)>0.01) if abs(wc)>0.01is a vector
//!     sum(abs(wc)>0.01,1) if abs(wc)>0.01is a matrix
count = mtlb_sum(abs(wc)>0.01);
// 
xsetech([0/2,0/2,1/2,1/2]);
mtlb_plot(t,Ramp);
xtitle('Function Ramp',' ',' ');
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wc,3,0);
xtitle('WT[Ramp]',' ',' ');
xtitle(' ',' ','log(resolution)');
xtitle(' ','position',' ');
// 
xsetech([1/2,0/1,1/2,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,0,count+1]);
xtitle('Wavelet Components of function Ramp',' ',' ');
// 
%v=size(wc)
w = zeros(%v(1),%v(2));
nplot = 0;
scal = 3;
wcj = wc(1:8);
kx = find(abs(wcj)>0.01);
nkx = max(size(kx));
for kk = 1:nkx
  k = kx(kk);
   
  //! w = mtlb_i(w,k,wc(k)) may be replaced by w(k) = wc(k)
  //!   if w is not a  vector
  //!   or if w and wc(k) are both row or column vectors
  w = mtlb_i(w,k,wc(k))
   
  //!! Unknown variable IWT_CDJV ,the original calling sequence is used
  x = IWT_CDJV(w,3,3);
  nplot = nplot+1;
  mtlb_plot(t,nplot+x);
  txt = mtlb_sprintf('(%1.0f,%2.0f)',scal,k-1);
  xstring(0.87,nplot+0.275,txt);
   
  //! w = mtlb_i(w,k,0) may be replaced by w(k) = 0
  //!   if w is not a  vector
  //!   or if w and 0 are both row or column vectors
  w = mtlb_i(w,k,0)
end
 
//!! drawnow ignored
// drawnow
 ;
for j = 3:9
   
  //!! Unknown variable dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
  wcj = mtlb_e(wc,dyad(j));
  kx = matrix(find(abs(wcj)>0.01),1,-1);
  nkx = max(size(kx));
  for kk = 1:nkx
    k = kx(kk);
     
    //!! Unknown variable dyad2ix ,the original calling sequence is used
     
    //! w = mtlb_i(w,dyad2ix(j,k-1),wcj(k)) may be replaced by w(dyad2ix(j,k-1)) = wcj(k)
    //!   if w is not a  vector
    //!   or if w and wcj(k) are both row or column vectors
    w = mtlb_i(w,dyad2ix(j,k-1),wcj(k))
     
    //!! Unknown variable IWT_CDJV ,the original calling sequence is used
    x = IWT_CDJV(w,3,3);
    nplot = nplot+1;
    mtlb_plot(t,nplot+x);
    txt = mtlb_sprintf('(%1.0f,%2.0f)',j,k-1);
    xstring(0.87,nplot+0.275,txt);
     
    //!! Unknown variable dyad2ix ,the original calling sequence is used
     
    //! w = mtlb_i(w,dyad2ix(j,k-1),0) may be replaced by w(dyad2ix(j,k-1)) = 0
    //!   if w is not a  vector
    //!   or if w and 0 are both row or column vectors
    w = mtlb_i(w,dyad2ix(j,k-1),0)
  end
  //   drawnow;
end
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
