function []=toon0161()
// toon0161 -- Visualize multi-resolution decomposition
// 
//  Multi-resolution Decomposition is an idea of Stephane Mallat
//  and Yves Meyer.  One groups together all the wavelets at a
//  given resolution, and displays the superposition of all the
//  wavelets in a group.
// 
//  In this display, one can see that the fine-resolution components
//  of object Ramp are nearly all concentrated at the singularity,
//  and the fine-resolution components of object doppler are nearly
//  all concentrated at the early times.
// 
t = (1:1024) ./ 1024;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Ramp = MakeSignal('Ramp',1024);
// 
xsetech([0/2,0/2,1/2,1/2]);
mtlb_plot(t,Ramp);
xtitle('Object Ramp',' ',' ');
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(Ramp,3,QMF);
 
//!! Unknown variable PlotMultiRes ,the original calling sequence is used
PlotMultiRes(wc,3,2,QMF);
xtitle('MRA[Ramp]',' ',' ');
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',1024);
xsetech([1/2,0/2,1/2,1/2]);
mtlb_plot(t,Doppler);
xtitle('Object Doppler',' ',' ');
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
Dwc = FWT_PO(Doppler,3,QMF);
 
//!! Unknown variable PlotMultiRes ,the original calling sequence is used
PlotMultiRes(Dwc,3,2,QMF);
xtitle('MRA[Doppler]',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
