function []=toon0174()
// toon0174 -- Illustrate smoothness of wavelets
// 
//  Wavelets have different degrees of smoothness.  Plotting the
//  first through third derivatives of the D4, S6 and S8 wavelets
//  illustrates the increasing degrees of smoothness these wavelets
//  possess.
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'Interpolating',11,'Mother',1024);
t = ((1:1024)-0.5) ./ 1024;
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,wave);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.25,0.25]);
xtitle('Interpolating Wavelet Degree 11',' ',' ');
// 
 
//! mtlb_diff(wave) may be replaced by 
//!     wave(2:$)-wave(1:$-1) if waveis a vector
//!     wave(2:$,:)-wave(1:$-1,:) if waveis a matrix
dwave = mtlb_diff(wave) .* 1024;
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,[dwave,0]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-5,5]);
xtitle('First Derivative',' ',' ');
// 
 
//! mtlb_diff(wave,2) may be replaced by 
//!     wave(3:$)-wave(1:$-2) if wave is a vector
//!     wave(3:$,:)-wave(1:$-2,:) if wave is a matrix
d2wave = mtlb_diff(wave,2) .* (1024^2);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,[d2wave,0,0]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-40,40]);
xtitle('Second Derivative',' ',' ');
// 
 
//! mtlb_diff(wave,3) may be replaced by 
//!     wave(4:$)-wave(1:$-3) if wave is a vector
//!     wave(4:$,:)-wave(1:$-3,:) if wave is a matrix
d3wave = mtlb_diff(wave,3) .* (1024^3);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,[d3wave,0,0,0]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-200,200]);
xtitle('Third Derivative',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
