function []=toon0211()
// toon0211 -- 2d Wavelet Families
// 
//  Two-dimensional wavelets may be formed by taking the tensor
//  product of two one-dimensional wavelet functions.
// 
//  Here we plot the four tensor products:
// 
//       Father(x)*Father(y)
//       Mother(x)*Father(y)
//       Father(x)*Mother(y)
//       Mother(x)*Mother(y)
// 
//  for the Haar wavelet.
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Haar');
n = 128;
x = linspace(0,1,n);
y = linspace(0,1,n);
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,1,1,0);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,0,qmf);
xsetech([0/2,0/2,1/2,1/2]);
mtlb_mesh(x,y,z,z);
xtitle(' Haar Wavelet: FxF ',' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,2,1);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,0,qmf);
xsetech([1/2,0/2,1/2,1/2]);
mtlb_mesh(x,y,z,z);
xtitle(' Haar Wavelet: MxF ',' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,1,2);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,4,qmf);
xsetech([0/2,1/2,1/2,1/2]);
mtlb_mesh(x,y,z,z);
xtitle(' Haar Wavelet: FxM ',' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,1,3);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,4,qmf);
xsetech([1/2,1/2,1/2,1/2]);
mtlb_mesh(x,y,z,z);
xtitle(' Haar Wavelet: MxM ',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
