function []=toon0221()
// toon0221 -- 2d Wavelet Families
// 
//  Two-dimensional wavelets may be formed by taking the tensor
//  product of two one-dimensional wavelet functions.
// 
//  Here we plot the four tensor products:
// 
//       Father(x)*Father(y)
//       Mother(x)*Father(y)
//       Father(x)*Mother(y)
//       Mother(x)*Mother(y)
// 
//  for the Haar wavelet.
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Haar');
n = 128;
x = linspace(0,1,n);
y = linspace(0,1,n);
// 
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,1,1,0);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,0,qmf);
tstr = 'Haar; j=2,k=(1,1); FxF';
xsetech([0/2,0/2,1/2,1/2]);
// 
 
//! mtlb_min(z) may be replaced by 
//!   min(z) if zis a vector
//!   min(z,'r') if zis a matrix
 
//! mtlb_min(mtlb_min(z)) may be replaced by 
//!   min(mtlb_min(z)) if mtlb_min(z)is a vector
//!   min(mtlb_min(z),'r') if mtlb_min(z)is a matrix
mmin = mtlb_min(mtlb_min(z));
 
//!  mtlb_max(z) may be replaced by 
//!     max(z) if zis a vector
//!     max(z,'r') if zis a matrix
 
//!  mtlb_max(mtlb_max(z)) may be replaced by 
//!     max(mtlb_max(z)) if mtlb_max(z)is a vector
//!     max(mtlb_max(z),'r') if mtlb_max(z)is a matrix
mmax = mtlb_max(mtlb_max(z));
 
//!! Unknown variable image ,the original calling sequence is used
image(x,y,256*(z-mmin)/(mmax-mmin));
 
//!! Unknown variable axis ,the original calling sequence is used
axis('image');
xset('colormap',graycolormap(256));
// 
xtitle(tstr,' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,2,1);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,0,qmf);
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//! mtlb_min(z) may be replaced by 
//!   min(z) if zis a vector
//!   min(z,'r') if zis a matrix
 
//! mtlb_min(mtlb_min(z)) may be replaced by 
//!   min(mtlb_min(z)) if mtlb_min(z)is a vector
//!   min(mtlb_min(z),'r') if mtlb_min(z)is a matrix
mmin = mtlb_min(mtlb_min(z));
 
//!  mtlb_max(z) may be replaced by 
//!     max(z) if zis a vector
//!     max(z,'r') if zis a matrix
 
//!  mtlb_max(mtlb_max(z)) may be replaced by 
//!     max(mtlb_max(z)) if mtlb_max(z)is a vector
//!     max(mtlb_max(z),'r') if mtlb_max(z)is a matrix
mmax = mtlb_max(mtlb_max(z));
 
//!! Unknown variable image ,the original calling sequence is used
image(x,y,256*(z-mmin)/(mmax-mmin));
 
//!! Unknown variable axis ,the original calling sequence is used
axis('image');
xset('colormap',graycolormap(256));
tstr = 'Haar; j=2,k=(2,2); MxF';
xtitle(tstr,' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,1,2);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,2,qmf);
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//! mtlb_min(z) may be replaced by 
//!   min(z) if zis a vector
//!   min(z,'r') if zis a matrix
 
//! mtlb_min(mtlb_min(z)) may be replaced by 
//!   min(mtlb_min(z)) if mtlb_min(z)is a vector
//!   min(mtlb_min(z),'r') if mtlb_min(z)is a matrix
mmin = mtlb_min(mtlb_min(z));
 
//!  mtlb_max(z) may be replaced by 
//!     max(z) if zis a vector
//!     max(z,'r') if zis a matrix
 
//!  mtlb_max(mtlb_max(z)) may be replaced by 
//!     max(mtlb_max(z)) if mtlb_max(z)is a vector
//!     max(mtlb_max(z),'r') if mtlb_max(z)is a matrix
mmax = mtlb_max(mtlb_max(z));
 
//!! Unknown variable image ,the original calling sequence is used
image(x,y,256*(z-mmin)/(mmax-mmin));
 
//!! Unknown variable axis ,the original calling sequence is used
axis('image');
xset('colormap',graycolormap(256));
tstr = 'Haar; j=2,k=(2,1); FxM';
xtitle(tstr,' ',' ');
// 
w = zeros(n,n);
 
//!! Unknown variable quad2ix ,the original calling sequence is used
[kx,ky] = quad2ix(2,2,1,3);
w(kx,ky) = 1;
 
//!! Unknown variable IWT2_PO ,the original calling sequence is used
z = IWT2_PO(w,2,qmf);
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//! mtlb_min(z) may be replaced by 
//!   min(z) if zis a vector
//!   min(z,'r') if zis a matrix
 
//! mtlb_min(mtlb_min(z)) may be replaced by 
//!   min(mtlb_min(z)) if mtlb_min(z)is a vector
//!   min(mtlb_min(z),'r') if mtlb_min(z)is a matrix
mmin = mtlb_min(mtlb_min(z));
 
//!  mtlb_max(z) may be replaced by 
//!     max(z) if zis a vector
//!     max(z,'r') if zis a matrix
 
//!  mtlb_max(mtlb_max(z)) may be replaced by 
//!     max(mtlb_max(z)) if mtlb_max(z)is a vector
//!     max(mtlb_max(z),'r') if mtlb_max(z)is a matrix
mmax = mtlb_max(mtlb_max(z));
 
//!! Unknown variable image ,the original calling sequence is used
image(x,y,256*(z-mmin)/(mmax-mmin));
 
//!! Unknown variable axis ,the original calling sequence is used
axis('image');
xset('colormap',graycolormap(256));
tstr = 'Haar; j=2,k=(2,1); MxM';
xtitle(tstr,' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
