function []=toon0341()
// toon0341 -- Compare Symmlet & Haar Coefficient Decay
// 
//  Illustrates how the S8 wavelet can represent the doppler signal
//  more compactly than the haar wavelet.
// 
//  toon0341 plots the levelwise norms of the transforms.
//  toon0342 plots the ordered coefficients.
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',4096);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HaarQMF = MakeONFilter('Haar');
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHaar = FWT_PO(Doppler,1,HaarQMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcS8 = FWT_PO(Doppler,4,S8QMF);
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wcHaar,1,1);
xtitle('Haar Transform of Doppler Object',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wcS8,4,1);
xtitle('S8 Transform of Doppler Object',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
for j = 4:11
   
  //!! Unknown variable dyad ,the original calling sequence is used
   
  //! mtlb_e(wcHaar,dyad(j)) may be replaced by wcHaar(dyad(j))
  //!    wcHaar(dyad(j)) if wcHaar is a vector,
  //!    wcHaar(dyad(j)).' if wcHaar is a matrix.
  nrmHaar(1,j) = norm(mtlb_e(wcHaar,dyad(j)));
end
mtlb_semilogy(4:11,nrmHaar(4:11));
xtitle('Levelwise norm of Haar Coefficients',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,11,10^(-1),10^1]);
// 
xsetech([1/2,1/2,1/2,1/2]);
for j = 4:11
   
  //!! Unknown variable dyad ,the original calling sequence is used
   
  //! mtlb_e(wcS8,dyad(j)) may be replaced by wcS8(dyad(j))
  //!    wcS8(dyad(j)) if wcS8 is a vector,
  //!    wcS8(dyad(j)).' if wcS8 is a matrix.
  nrmS8(1,j) = norm(mtlb_e(wcS8,dyad(j)));
end
mtlb_semilogy(4:11,nrmS8(4:11));
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,11,10^(-1),10^1]);
xtitle('Levelwise norm of S8 Wavelet Coefficients',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
