function []=toon0342()
// toon0342 -- Compare Wavelet & Haar Coefficient Decay
// 
//  Illustrates how the S8 wavelet can represent the doppler signal
//  more compactly than the haar wavelet.
// 
//  toon0341 plots the levelwise norms of the transforms.
//  toon0342 plots the ordered coefficients.
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',4096);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HaarQMF = MakeONFilter('Haar');
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHaar = FWT_PO(Doppler,1,HaarQMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcS8 = FWT_PO(Doppler,4,S8QMF);
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wcHaar,1,1);
xtitle('Haar Transform of Doppler Object',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wcS8,4,1);
xtitle('S8 Transform of Doppler Object',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
%v = abs(wcHaar)
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//!! Unknown variable reverse ,the original calling sequence is used
ordcoef = reverse(%v);
mtlb_semilogy(ordcoef);
xtitle('Ordered Haar Coefficients',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,300,10^(-2),10^1]);
// 
xsetech([1/2,1/2,1/2,1/2]);
%v = abs(wcS8)
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//!! Unknown variable reverse ,the original calling sequence is used
ordcoef = reverse(%v);
mtlb_semilogy(ordcoef);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,300,10^(-2),10^1]);
xtitle('Ordered S8 Wavelet Coefficients',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
