function []=toon0412()
// toon0412 -- Compare First-n and Best-n Reconstructions
// 
//  Illustate how the S8 wavelet can compress the doppler signal by
//  reconstructing the signal using only some of the wavelet coefficients.
// 
//  It is obviously better to reconstruct via the best (that is, biggest)
//  n coefficients than the first n coefficients!
// 
n = 2048;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcS8 = FWT_PO(Doppler,4,S8QMF);
t = (1:n) ./ n;
// 
xsetech([0/2,0/2,1/2,1/2]);
mtlb_plot(t,Doppler);
xtitle('Doppler',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-1,1]);
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wcS8,4,0);
xtitle('S8 Wavelet Transform[Doppler]',' ',' ');
// 
FirstwcS8 = wcS8 .* bool2s((1:n)<=64);
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialFirst = IWT_PO(FirstwcS8,1,S8QMF);
mtlb_plot(t,PartialFirst);
xtitle('S8 Reconstruction from First 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-1,1]);
// 
BigwcS8 = KeepBiggest(wcS8,64);
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialBest = IWT_PO(BigwcS8,4,S8QMF);
mtlb_plot(t,PartialBest);
xtitle('S8 Reconstruction from Best 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-1,1]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
