function []=toon0421()
// toon0421 -- Compare Wavelet & Haar Partial Reconstructions
// 
//  Try to reconstruct the Doppler signal using the best 50
//  coefficients from both the Haar and S8 wavelet transforms.
//  The S8 wavelet obviously does a better job of reconstruction.
// 
n = 2048;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HaarQMF = MakeONFilter('Haar');
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHaar = FWT_PO(Doppler,1,HaarQMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcS8 = FWT_PO(Doppler,4,S8QMF);
t = (1:n) ./ n;
// 
BigwcHaar = KeepBiggest(wcHaar,50);
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(BigwcHaar,1,1);
xtitle('50 largest Haar[Doppler]',' ',' ');
// 
BigwcS8 = KeepBiggest(wcS8,50);
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(BigwcS8,4,1);
xtitle('50 largest in S8 Wavelet[Doppler]',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialHaar = IWT_PO(BigwcHaar,1,HaarQMF);
mtlb_plot(t,PartialHaar);
xtitle('Haar Reconstruction from 50 largest',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.5,0.5]);
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialS8 = IWT_PO(BigwcS8,4,S8QMF);
mtlb_plot(t,PartialS8);
xtitle('S8 Wavelet Reconstruction from 50 largest',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.5,0.5]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
