function []=toon0432()
// toon0432 -- First-m Compression Numbers of Four Objects
// 
//  Plot the compression numbers for the S8 wavelet transforms
//  of each of the four signals.  These curves illustrate the
//  gain in accuracy obtained by using an additional coefficient
//  in the reconstruction.  These curves are based on taking the
//  first-m coefficients. 
// 
n = 2048;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
HeaviSine = MakeSignal('HeaviSine',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Blocks = MakeSignal('Blocks',n);
t = (1:n) ./ n;
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBumps = FWT_PO(Bumps,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBlocks = FWT_PO(Blocks,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcDoppler = FWT_PO(Doppler,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHeaviSine = FWT_PO(HeaviSine,4,S8QMF);
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcBlocks.^2)) may be replaced by 
//! cumsum(reverse(wcBlocks.^2)) if reverse(wcBlocks.^2)is a vector
//! cumsum(reverse(wcBlocks.^2),1) if reverse(wcBlocks.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcBlocks.^2))));
xtitle('Blocks; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcBumps.^2)) may be replaced by 
//! cumsum(reverse(wcBumps.^2)) if reverse(wcBumps.^2)is a vector
//! cumsum(reverse(wcBumps.^2),1) if reverse(wcBumps.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcBumps.^2))));
xtitle('Bumps; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcHeaviSine.^2)) may be replaced by 
//! cumsum(reverse(wcHeaviSine.^2)) if reverse(wcHeaviSine.^2)is a vector
//! cumsum(reverse(wcHeaviSine.^2),1) if reverse(wcHeaviSine.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcHeaviSine.^2))));
xtitle('HeaviSine; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcDoppler.^2)) may be replaced by 
//! cumsum(reverse(wcDoppler.^2)) if reverse(wcDoppler.^2)is a vector
//! cumsum(reverse(wcDoppler.^2),1) if reverse(wcDoppler.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcDoppler.^2))));
xtitle('Doppler; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
