function []=toon0442()
// toon0442 -- First-m Wavelet & DCT Partial Reconstructions
// 
//  Compare the accuracy of first-m reconstructions of the Doppler
//  signal for the Wavelet and DCT transforms.
// 
n = 2048;
t = (1:n) ./ n;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dct = dct_iv(Doppler);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(Doppler,4,S8QMF);
// 
BigDCT = KeepFirst(dct,64);
Bigwc = KeepFirst(wc,64);
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
PartialDCT = dct_iv(BigDCT);
mtlb_plot(t,PartialDCT);
xtitle('Doppler: DCT Recon. First 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.5,0.5]);
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialS8 = IWT_PO(Bigwc,4,S8QMF);
mtlb_plot(t,PartialS8);
xtitle('Doppler: S8 Wavelet Recon. First 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.5,0.5]);
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',n);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dct = dct_iv(Bumps);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(Bumps,4,S8QMF);
// 
BigDCT = KeepFirst(dct,64);
Bigwc = KeepFirst(wc,64);
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
PartialDCT = dct_iv(BigDCT);
mtlb_plot(t,PartialDCT);
xtitle('Bumps: DCT Recon. FIrst 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,0,6]);
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PartialS8 = IWT_PO(Bigwc,4,S8QMF);
mtlb_plot(t,PartialS8);
xtitle('Bumps: S8 Wavelet Recon. First 64',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,0,6]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
