function []=toon0551()
// toon0551 -- Four Spatially Inhomogenoeus Signals
// 
//  These four signals are caricatures of signals arising
//  in scientific signal processing.
// 
//  Blocks is a piecewise constant signal, a caricature of a scan line
//  through a 2-d image depicting an object with several edges.
// 
//  Bumps is a very peaky signal, a caricature of an NMR Spectrum.
// 
//  HeaviSine is a sinusoid with two clicks.
// 
//  Doppler is an attenuating sinusoid with time-varying frequency.
// 
//  These objects are interesting to us because they portray significant
//  spatial inhomogeneity.
// 
global('xblocks','xbumps','xheavi','xDoppler');
global('yblocks','ybumps','yheavi','yDoppler');
global('t','N','rho');
// 
N = 2048;
rho = 7;
t = (0:N-1)/N;
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
HeaviSine = MakeSignal('HeaviSine',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Blocks = MakeSignal('Blocks',N);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',N);
// 
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xblocks,yblocks] = NoiseMaker(Blocks,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xbumps,ybumps] = NoiseMaker(Bumps,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xheavi,yheavi] = NoiseMaker(HeaviSine,rho);
 
//!! Unknown variable NoiseMaker ,the original calling sequence is used
[xDoppler,yDoppler] = NoiseMaker(Doppler,rho);
// 
// 
mtlb_clf();
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(221,t,xblocks,[],' 1 (a) Blocks ',[],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(222,t,xbumps,[],' 1 (b) Bumps ',[],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(223,t,xheavi,[],' 1 (c) HeaviSine ',[],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(224,t,xDoppler,[],' 1 (d) Doppler ',[],[]);
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
