function []=toon0561()
// toon0561 -- Fast Algorithm for Matrix Multiplication
// 
//  Illustrate Compression of Matrix Multiplication
//  using matrix with logarithmic singularity on diagonal.
// 
//  The Matrix has the form
//        sin(2*pi .*X) .* sin(2*pi .*Y) .* log(abs(X-Y));
// 
//  This is not circulant or Toeplitz, so Fourier Methods
//  cannot be applied.
// 
//  First depict the matrix.
// 
xm = linspace(0,1,128);
ym = xm+xm(2)/2;
// [X,Y] = meshdom(xm,ym);  % DLD 09/29/99
// inline translation of meshgrid(xm,ym)
X=xm
Y=matrix(ym,-1,1)
X=X(ones(X),:)
Y=Y(:,ones(Y)')
Y = Y($:-1:1,:);
mat = sin(2*%pi .* X) .* sin(2*%pi .* Y) .* log(abs(X-Y));
// 
zmat = (mat+6) .* 40;
 
//!! Unknown variable GrayImage ,the original calling sequence is used
GrayImage(zmat);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
xtitle('Sin(2*pi*x) Sin(2*pi*y) Log(Abs(X-y))',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
