function []=toon0564()
// toon0564 -- Fast Algorithm for Matrix Multiplication
// 
//  The Beylkin-Coifman-Rokhlin method is to 
//      1.  Take the 2-d Wavelet Transform of the matrix
//   -> 2.  ``compress'' the 2-d wavelet transform
//      3.  ``stretch'' it into a nonstandard form
//      4.  apply the nonstandard form by matrix multiplication.
// 
//  Here compress the Wavelet Transform of the matrix.  We set small
//  elements ( < .01) to ZERO.
// 
thresh = 0.01;
 
//! mtlb(wmat) can be replaced by wmat() or wmat whether wmat is an m-file or not
 
//! mtlb_sum(abs(mtlb(wmat))>thresh) may be replaced by 
//!     sum(abs(mtlb(wmat))>thresh) if abs(mtlb(wmat))>threshis a vector
//!     sum(abs(mtlb(wmat))>thresh,1) if abs(mtlb(wmat))>threshis a matrix
 
//! mtlb_sum(mtlb_sum(abs(mtlb(wmat))>thresh)) may be replaced by 
//!     sum(mtlb_sum(abs(mtlb(wmat))>thresh)) if mtlb_sum(abs(mtlb(wmat))>thresh)is a vector
//!     sum(mtlb_sum(abs(mtlb(wmat))>thresh),1) if mtlb_sum(abs(mtlb(wmat))>thresh)is a matrix
mtlb_sum(mtlb_sum(abs(mtlb(wmat))>thresh));
 
//! mtlb(wmat) can be replaced by wmat() or wmat whether wmat is an m-file or not
 
//! mtlb(wmat) can be replaced by wmat() or wmat whether wmat is an m-file or not
spwmat = mtlb(wmat) .* bool2s(abs(mtlb(wmat))>thresh);
%v = spwmat;
[%i,%i] = find(%v);%i=%i(:);%i=%i(:);
%v = %v(:)
if %i<>[] then s = %v(%i+size(%v,1)*(%i-1)) ;else s = [],end
spmat = sparse([i(:),j(:)],s,[128,128]);
 
//!! Unknown variable spy ,the original calling sequence is used
spy(spmat);
xtitle('spy(sparse(threshold(wmat))))',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
