function []=toon0731()
// toon0731 -- Illustrate Time-Frequency Tiling by Wavelet Packets
// 
// Panel 1 -- Fourier Transform on side
// Panel 2 -- Time-Frequency Rectangle
// Panel 4 -- Signal
// 
n = 64;
wplist = [4,2,1];
sz = size(wplist);
nr = sz(1);
for i = 1:nr
  // 
  d = wplist(i,1);
  b = wplist(i,2);
  k = wplist(i,3);
  // 
   
  //!! Unknown variable MakeWaveletPacket ,the original calling sequence is used
  wp = MakeWaveletPacket(d,b,k,'Coiflet',3,n);
   
  //! mtlb_fft(wp) may be replaced by 
  //!      fft(wp,-1) if wpis a vector
  fwp = abs(mtlb_fft(wp));
  t = (0:n-1) ./ n;
  wpstr = mtlb_sprintf('WaveletPacket(%i,%i,%i)',d,b,k);
  // 
  xset('window',max(winsid()+1))
  max(winsid());
  %v1$2 = int((1-1)/2);%v1$1 = 1-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  // 
  mtlb_plot(fwp(1:n/2),(1:n/2) ./ (n/2));
  xtitle('Frequency Domain',' ',' ');
  xtitle(' ','|FFT('+wpstr+')|',' ');
  xtitle(' ',' ','Frequency');
  // 
  %v1$2 = int((4-1)/2);%v1$1 = 4-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  // 
  mtlb_plot(t,wp);
  xtitle('Time Domain',' ',' ');
  xtitle(' ',' ',wpstr);
  xtitle(' ','Time',' ');
  // 
  %v1$2 = int((2-1)/2);%v1$1 = 2-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable MakeONFilter ,the original calling sequence is used
  qmf = MakeONFilter('Coiflet',3);
   
  //!! Unknown variable ImageAtomicPhase ,the original calling sequence is used
  ImageAtomicPhase('WP',[1,d,b,k],n,wpstr,64,qmf);
  // 
end
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
