function []=toon0831()
// toon0831 -- Illustrate Time-Frequency Tiling by Cosine Packets
// 
// Panel 1 -- Fourier Transform on side
// Panel 2 -- Time-Frequency Rectangle
// Panel 4 -- Signal
// 
n = 128;
cplist = [4,8,0];
sz = size(cplist);
nr = sz(1);
for i = 1:nr
  // 
  d = cplist(i,1);
  b = cplist(i,2);
  k = cplist(i,3);
  // 
   
  //!! Unknown variable MakeCosinePacket ,the original calling sequence is used
  cp = MakeCosinePacket(d,b,k,'Sine',4,n);
   
  //! mtlb_fft(cp) may be replaced by 
  //!      fft(cp,-1) if cpis a vector
  fcp = abs(mtlb_fft(cp));
  t = (0:n-1) ./ n;
  cpstr = mtlb_sprintf('CosinePacket(%i,%i,%i)',d,b,k);
  // 
  %v1$2 = int((1-1)/2);%v1$1 = 1-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  // 
  mtlb_plot(fcp(1:n/2),(1:n/2) ./ (n/2));
  xtitle('Frequency Domain',' ',' ');
  xtitle(' ','|FFT('+cpstr+')|',' ');
  xtitle(' ',' ','Frequency');
  // 
  %v1$2 = int((4-1)/2);%v1$1 = 4-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  // 
  mtlb_plot(t,cp);
  xtitle('Time Domain',' ',' ');
  xtitle(' ',' ',cpstr);
  xtitle(' ','Time',' ');
  // 
  %v1$2 = int((2-1)/2);%v1$1 = 2-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable ImageAtomicPhase ,the original calling sequence is used
  ImageAtomicPhase('CP',[1,d,b,k],n,cpstr);
   
  //!! drawnow ignored
  // drawnow
   ;
   
end
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
